Index: /release-kits/lirk2/installer/antinstall-config.xml
===================================================================
--- /release-kits/lirk2/installer/antinstall-config.xml	(revision 17575)
+++ /release-kits/lirk2/installer/antinstall-config.xml	(revision 17576)
@@ -46,5 +46,5 @@
 
 		<target
-			target="install-core-components"
+			target="Installing Core System"
 			diskRequirement="@component.size.core@"
 			displayText=""
@@ -53,5 +53,5 @@
 
 		<target
-			target="install-source-code"
+			target="Installing Source Code"
 			diskRequirement="@component.size.sourcecode@"
 			defaultValue="false"
@@ -65,5 +65,5 @@
 	</page>
 
-	<page type="progress" name="progress" showTargets="true" target="cleanuptarget" displayText=""></page>
+	<page type="progress" name="progress" showTargets="true" displayText=""></page>
 
 </installer>
Index: /release-kits/lirk2/installer/build.xml
===================================================================
--- /release-kits/lirk2/installer/build.xml	(revision 17575)
+++ /release-kits/lirk2/installer/build.xml	(revision 17576)
@@ -23,5 +23,6 @@
 
 
-	<target name="install-core-components" depends="">
+	<!-- core system -->
+	<target name="Installing Core System">
 
 		<echo>basedir: ${basedir}</echo>
@@ -105,6 +106,6 @@
 	</target>
 
-	<!-- Source -->
-	<target name="install-source-code" depends="">
+	<!-- source code -->
+	<target name="Installing Source Code">
 		<echo>Installing Source Code</echo>
 		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="sourcecode.lzma"/></patternset></unzip>
@@ -115,6 +116,3 @@
 	</target>
 
-	<target name="cleanuptarget"></target>
-	
-
 </project>
Index: /release-kits/mark2/installer/antinstall-config.xml
===================================================================
--- /release-kits/mark2/installer/antinstall-config.xml	(revision 17575)
+++ /release-kits/mark2/installer/antinstall-config.xml	(revision 17576)
@@ -46,5 +46,5 @@
 
 		<target
-			target="install-core-components"
+			target="Installing Core System"
 			diskRequirement="@component.size.core@"
 			defaultValue="true"
@@ -53,5 +53,5 @@
 
 		<target
-			target="install-source-code"
+			target="Installing Source Code"
 			diskRequirement="@component.size.sourcecode@"
 			defaultValue="false"
@@ -65,5 +65,5 @@
 	</page>
 
-	<page type="progress" name="progress" showTargets="false" target="cleanuptarget" displayText=""></page>
+	<page type="progress" name="progress" showTargets="false" displayText=""></page>
 
 </installer>
Index: /release-kits/mark2/installer/build.xml
===================================================================
--- /release-kits/mark2/installer/build.xml	(revision 17575)
+++ /release-kits/mark2/installer/build.xml	(revision 17576)
@@ -23,5 +23,5 @@
 
 
-	<target name="install-core-components" depends="">
+	<target name="Installing Core System" depends="">
 
 		<echo>basedir: ${basedir}</echo>
@@ -111,5 +111,5 @@
 
 	<!-- Source -->
-	<target name="install-source-code" depends="">
+	<target name="Installing Source Code" depends="">
 		<echo message="Installing Source Code"/>
 		<unzip src="${antinstaller.jar}" dest="${installDir}">
@@ -123,6 +123,3 @@
 	</target>
 
-	<target name="cleanuptarget"></target>
-	
-
 </project>
Index: /release-kits/wirk2/installer/antinstall-config.xml
===================================================================
--- /release-kits/wirk2/installer/antinstall-config.xml	(revision 17575)
+++ /release-kits/wirk2/installer/antinstall-config.xml	(revision 17576)
@@ -46,5 +46,5 @@
 
 		<target
-			target="install-core-components"
+			target="Installing Core System"
 			diskRequirement="@component.size.core@"
 			defaultValue="true"
@@ -53,5 +53,5 @@
 
 		<target
-			target="install-start-menu-shortcuts"
+			target="Installing Start Menu Shortcuts"
 			diskRequirement="~10 KB"
 			defaultValue="true"
@@ -60,16 +60,17 @@
 		<!-- start full -->
 		<target
-			target="install-imagemagick"
-			diskRequirement="@component.size.windows-java@"
-			defaultValue="true" 
-			displayText=""/>
-		<target
-			target="install-ghostscript"
-			diskRequirement="@component.size.windows-java@"
+			target="Install ImageMagick"
+			diskRequirement="@component.size.imagemagick@"
 			defaultValue="true" 
 			displayText=""/>
 
 		<target
-			target="install-source-code"
+			target="Installing Ghostscript"
+			diskRequirement="@component.size.ghostscript@"
+			defaultValue="true" 
+			displayText=""/>
+
+		<target
+			target="Installing Source Code"
 			diskRequirement="@component.size.sourcecode@"
 			defaultValue="false"
@@ -84,5 +85,5 @@
 	</page>
 
-	<page type="progress" name="progress" showTargets="false" target="cleanuptarget" displayText=""></page>
+	<page type="progress" name="progress" showTargets="false" displayText=""></page>
 
 </installer>
Index: /release-kits/wirk2/installer/build.xml
===================================================================
--- /release-kits/wirk2/installer/build.xml	(revision 17575)
+++ /release-kits/wirk2/installer/build.xml	(revision 17576)
@@ -33,5 +33,5 @@
 	</target>
 
-	<target name="install-core-components" depends="load-previous-props">
+	<target name="Installing Core System" depends="load-previous-props">
 
 		<!-- figure out the start menu path (if not already set from previous installation) -->
@@ -105,5 +105,5 @@
 
 	<!-- Source -->
-	<target name="install-source-code" depends="">
+	<target name="Installing Source Code">
 		<echo message="Installing Source Code"/>
 		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="sourcecode.lzma"/></patternset></unzip>
@@ -115,5 +115,5 @@
 	</target>
 
-	<target name="install-imagemagick">
+	<target name="Install ImageMagick">
 		<echo message="Installing ImageMagick"/>
 		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="imagemagick.lzma"/></patternset></unzip>
@@ -125,5 +125,5 @@
 	</target>
 
-	<target name="install-ghostscript">
+	<target name="Installing Ghostscript">
 		<echo message="Installing GhostScript"/>
 		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="ghostscript.lzma"/></patternset></unzip>
@@ -136,5 +136,5 @@
 	
 	<!-- Start menu shortcuts -->
-	<target name="install-start-menu-shortcuts">
+	<target name="Installing Start Menu Shortcuts">
 
 		<mkdir dir="${startmenu.path}\Documentation"/>
@@ -181,6 +181,3 @@
 	</target>
 
-	<target name="cleanuptarget"></target>
-	
-
 </project>