Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/InputField.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/InputField.java	(revision 17577)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/InputField.java	(revision 17578)
@@ -45,5 +45,5 @@
 		if( org.tp23.antinstaller.Installer.langPack != null){
 			try {
-				String r = org.tp23.antinstaller.Installer.langPack.getString(getProperty() + ".displayText");
+				String r = org.tp23.antinstaller.Installer.langPack.getString(getProperty().replaceAll(" ","_") + ".displayText");
 				return r;
 			} catch (MissingResourceException e) {}
@@ -54,5 +54,5 @@
 		if( org.tp23.antinstaller.Installer.langPack != null ) {
 			try {
-				return org.tp23.antinstaller.Installer.langPack.getString(getProperty() + ".explanatoryText");
+				return org.tp23.antinstaller.Installer.langPack.getString(getProperty().replaceAll(" ","_") + ".explanatoryText");
 			} catch (MissingResourceException e) {
 				// ignore and return null explanatoryText is optional
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/ProgressPageRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/ProgressPageRenderer.java	(revision 17577)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/ProgressPageRenderer.java	(revision 17578)
@@ -27,8 +27,10 @@
 import javax.swing.BorderFactory;
 import javax.swing.JLabel;
+import javax.swing.JButton;
 import javax.swing.JPanel;
 import javax.swing.JScrollPane;
 import javax.swing.JTabbedPane;
 import javax.swing.JToggleButton;
+import javax.swing.ImageIcon;
 
 import org.tp23.antinstaller.page.ProgressPage;
@@ -56,4 +58,8 @@
 	private JToggleButton jToggleButton = new JToggleButton();
 	private JLabel feedBackLabel = new JLabel();
+	private JLabel progressOn = null;
+	private JLabel progressOff = null;
+	private JPanel messagesLeft = null;
+	private JPanel messagesRight = null;
 
 	private SystemOutJTextArea outPanel = new SystemOutJTextArea();
@@ -100,19 +106,33 @@
 		this.add(contentPanel,BorderLayout.CENTER);
 		
-		messagesPanel.setLayout(null);
-		Dimension messPanelSize = new Dimension(SizeConstants.PAGE_WIDTH,MESSAGE_PANEL_HEIGHT);
-		messagesPanel.setSize(messPanelSize);
-		messagesPanel.setPreferredSize(messPanelSize);
-		messagesPanel.setMaximumSize(messPanelSize);
-		messagesPanel.setMinimumSize(messPanelSize);
+		messagesPanel.setLayout( new BorderLayout() );
+		//Dimension messPanelSize = new Dimension(SizeConstants.PAGE_WIDTH,MESSAGE_PANEL_HEIGHT);
+		//messagesPanel.setSize(messPanelSize);
+		//messagesPanel.setPreferredSize(messPanelSize);
+		//messagesPanel.setMaximumSize(messPanelSize);
+		//messagesPanel.setMinimumSize(messPanelSize);
+
+		ImageIcon progressOnIcon = createImageIcon("/resources/progressOn.gif");
+		progressOn = new JLabel( progressOnIcon );
+		progressOnIcon.setImageObserver(progressOn);
+		progressOff = new JLabel( createImageIcon("/resources/progressOff.gif") );
 
 		//FIXME not i18n properly since the sentence is not correct ordering in German
 		feedBackLabel.setText(org.tp23.antinstaller.Installer.langPack.getString("click")+" "+ctx.getInstaller().getFinishButtonText()+" "+org.tp23.antinstaller.Installer.langPack.getString("toContinue"));
-		feedBackLabel.setBounds(new Rectangle(115, 7, 272, 22));
+		//feedBackLabel.setBounds(new Rectangle(115, 7, 272, 22));
 		jToggleButton.setText(org.tp23.antinstaller.Installer.langPack.getString("showDetails"));
-		jToggleButton.setBounds(new Rectangle(5, 7, 104, 22));
-		jToggleButton.setMargin(new Insets(0,0,0,0));
-		messagesPanel.add(jToggleButton, null);
-		messagesPanel.add(feedBackLabel, null);
+		//jToggleButton.setBounds(new Rectangle(5, 7, 104, 22));
+		//jToggleButton.setMargin(new Insets(0,0,0,0));
+
+		messagesLeft = new JPanel();
+		messagesLeft.add(jToggleButton, null);
+		messagesLeft.add(feedBackLabel, null);
+
+		messagesRight = new JPanel();
+		messagesRight.add( progressOff );
+
+		messagesPanel.add(messagesLeft, BorderLayout.WEST);
+		messagesPanel.add(messagesRight, BorderLayout.EAST);
+		
 		jToggleButton.addActionListener(new ActionListener(){
 			public void actionPerformed(ActionEvent e) {
@@ -152,4 +172,5 @@
 //		}
 
+
 		//jTabbedPane.setVisible(false);
 		jTabbedPane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
@@ -164,4 +185,13 @@
 		this.getFinishButton().setText(ctx.getInstaller().getFinishButtonText());
 		this.getFinishButton().setVisible(true);
+		this.getFinishButton().addActionListener(
+			new ActionListener() {
+				public void actionPerformed( ActionEvent e ) {
+					messagesRight.removeAll();
+					messagesRight.add( progressOn );
+				}
+			}
+		);
+
 	}
 
@@ -202,3 +232,20 @@
 	public void updateDefaultValues() {
 	}
+
+    /** Returns an ImageIcon, or null if the path was invalid. */
+    protected static ImageIcon createImageIcon(String path) {
+        java.net.URL imgURL = org.tp23.antinstaller.Installer.class.getResource(path);
+        if (imgURL != null) {
+            return new ImageIcon(imgURL);
+        } else {
+            System.err.println("Couldn't find file: " + path);
+            return null;
+        }
+    }
+
+	public void stopPage() {
+		messagesRight.removeAll();
+		messagesRight.add( progressOff );
+	}
+
 }
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SwingPageRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SwingPageRenderer.java	(revision 17577)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SwingPageRenderer.java	(revision 17578)
@@ -175,4 +175,6 @@
 	}
 
+	public void stopPage() {}
+
 	private void setImage(String resource) throws Exception{
 		if(resource == null){
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/SwingRunner.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/SwingRunner.java	(revision 17577)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/SwingRunner.java	(revision 17578)
@@ -341,4 +341,5 @@
 		renderer.getFinishButton().requestFocus();
 		renderer.getTitleLabel().setText(org.tp23.antinstaller.Installer.langPack.getString("complete"));
+		renderer.stopPage();
 		ctx.getAntOutputRenderer().getErr().flush();
 		ctx.getAntOutputRenderer().getOut().flush();
@@ -356,4 +357,5 @@
 			renderer.getFinishButton().setEnabled(true);
 			renderer.getFinishButton().requestFocus();
+			renderer.stopPage();
 			renderer.getTitleLabel().setText(org.tp23.antinstaller.Installer.langPack.getString("failed"));
 		}