Index: release-kits/wirk3/ant-scripts/build.xml
===================================================================
--- release-kits/wirk3/ant-scripts/build.xml	(revision 17538)
+++ release-kits/wirk3/ant-scripts/build.xml	(revision 17597)
@@ -18,4 +18,5 @@
 	<property name="rk.home" value="${wirk3.home}" />
 	<property name="rk.os" value="windows" />
+	<property name="os.suffix" value="win32"/>
 
 	<!-- IMPORT OTHER ANT SCRIPTS -->
Index: release-kits/wirk3/ant-scripts/create-installer.xml
===================================================================
--- release-kits/wirk3/ant-scripts/create-installer.xml	(revision 17538)
+++ release-kits/wirk3/ant-scripts/create-installer.xml	(revision 17597)
@@ -5,10 +5,10 @@
 		<antcall target="copy-installer-files"/>
 		<antcall target="make-installer-files-concrete"><param name="java.os" value="windows"/></antcall> <!-- from rk3-targets -->
-		<antcall target="compile-installer"/>
+		<antcall target="compile-binary-installer"/> <!-- from init -->
+		<antcall target="compile-minimal-installer"/> <!-- from init -->
+		<antcall target="compile-source-installer"/> <!-- from init -->
 	</target>
 
 	<target name="copy-installer-files">
-
-		<echo>Getting things ready to compile the installer</echo>
 
 		<!-- the installer descriptors -->
@@ -37,38 +37,4 @@
 
 	</target>
-
-	<target name="compile-installer">
-
-		<installer file="${basedir}/installer/Greenstone-${version}-win32.jar"
-				compress="true"
-				extractType="NonExtractor"
-				installConfig="${basedir}/installer/antinstall-config.xml"
-				buildFile="${basedir}/installer/build.xml"
-				antInstallLib="${wirk3.home}/packages/ant-installer/lib"
-				antLib="${wirk3.home}/packages/ant/lib"
-				validateConfig="true"
-				icons="bluecurve">
-
-			<zipfileset dir="${basedir}/installer/classes" includes="**/*" />
-			<zipfileset dir="${basedir}/components" includes="*.lzma" />
-			
-		</installer>
-
-		<dcff file="${basedir}/installer/antinstall-config.xml" startTag=".*&lt;!-- start full --&gt;.*" endTag=".*&lt;!-- end full --&gt;.*" />
-		
-		<installer file="${basedir}/installer/Greenstone-${version}-win32-minimal.jar"
-					compress="true"
-					extractType="NonExtractor"
-					installConfig="${basedir}/installer/antinstall-config.xml"
-					buildFile="${basedir}/installer/build.xml"
-					antInstallLib="${wirk3.home}/packages/ant-installer/lib"
-					antLib="${wirk3.home}/packages/ant/lib"
-					validateConfig="true"
-					icons="bluecurve">
-				<zipfileset dir="${basedir}/installer/classes" includes="**/*" />
-				<zipfileset dir="${basedir}/components" includes="core.lzma" />
-		</installer>
-	</target>
-
 	
 </project>
Index: release-kits/wirk3/installer/antinstall-config.xml
===================================================================
--- release-kits/wirk3/installer/antinstall-config.xml	(revision 17538)
+++ release-kits/wirk3/installer/antinstall-config.xml	(revision 17597)
@@ -46,5 +46,13 @@
 
 		<target
-			target="install-core-components"
+			target="Looking For Previous Installation"
+			diskRequirement="x"
+			defaultValue="true"
+			displayText="x"
+			force="true"
+			hidden="true"/>
+
+		<target
+			target="Installing Core System"
 			diskRequirement="@component.size.core@"
 			defaultValue="true"
@@ -53,12 +61,12 @@
 
 		<target
-			target="install-start-menu-shortcuts"
+			target="Installing Start Menu Shortcuts"
 			diskRequirement="~10 KB"
 			defaultValue="true"
 			displayText=""/>		
 
-		<!-- start full -->
+		<!-- start bundled components -->
 		<target
-			target="install-tomcat"
+			target="Installing Tomcat"
 			diskRequirement="@component.size.tomcat@"
 			defaultValue="true"
@@ -66,5 +74,5 @@
 
 		<target
-			target="install-ant"
+			target="Installing Ant"
 			diskRequirement="@component.size.ant@"
 			defaultValue="true"
@@ -72,5 +80,5 @@
 
 		<target
-			target="install-imagemagick"
+			target="Installing ImageMagick"
 			diskRequirement="@component.size.imagemagick@"
 			defaultValue="true"
@@ -78,19 +86,21 @@
 			
 		<target
-			target="install-ghostscript"
+			target="Installing Ghostscript"
 			diskRequirement="@component.size.ghostscript@"
 			defaultValue="true"
 			displayText=""/>
+		<!-- end bundled components -->
 			
+		<!-- start sourcecode -->
 		<target
-			target="install-source-code"
+			target="Installing Source Code"
 			diskRequirement="@component.size.sourcecode@"
 			defaultValue="false"
 			displayText=""/>
-		<!-- end full -->
+		<!-- end sourcecode -->
+
 	</page>
 
-	<!-- start full -->
-	<page type="input" name="tomcat-config" ifProperty="(${install-tomcat}==true)" displayText="">
+	<page type="input" name="tomcat-config" ifProperty="(${Installing Tomcat}==true)" displayText="">
 
 		<text property="tomcat.server" defaultValue="localhost" displayText=""/>
@@ -99,8 +109,6 @@
 
 	</page>
-	<!-- end full -->
 
-	<page type="progress" name="progress" showTargets="false" target="cleanuptarget" displayText="">
-	</page>
+	<page type="progress" name="progress" showTargets="true" displayText=""/>
 
 </installer>
Index: release-kits/wirk3/installer/build.xml
===================================================================
--- release-kits/wirk3/installer/build.xml	(revision 17538)
+++ release-kits/wirk3/installer/build.xml	(revision 17597)
@@ -32,9 +32,9 @@
 	<available file="${installDir}\installation.properties" property="is.overinstall"/>
 
-	<target name="load-previous-props" if="is.overinstall">
-		<property file="${installDir}\installation.properties"/>
-	</target>
-	
-	<target name="install-core-components" depends="load-previous-props">
+	<target name="Looking For Previous Installation" if="is.overinstall">
+		<property file="${installDir}\etc\installation.properties"/>
+	</target>
+	
+	<target name="Installing Core System">
 
 		<!-- figure out the start menu path (if not already set from previous installation) -->
@@ -111,5 +111,5 @@
 
 	<!-- Source -->
-	<target name="install-source-code">
+	<target name="Installing Source Code">
 		<echo message="Installing Source Code (src)"/>
 		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="sourcecode.lzma"/></patternset></unzip>
@@ -120,5 +120,5 @@
 	</target>
 
-	<target name="install-tomcat">
+	<target name="Installing Tomcat">
 		
 		<echo message="Installing Apache Tomcat"/>
@@ -136,5 +136,5 @@
 	</target>
 
-	<target name="install-ant">
+	<target name="Installing Ant">
 		<echo message="Installing Apache Ant"/>
 		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="ant.lzma"/></patternset></unzip>
@@ -145,5 +145,5 @@
 	</target>
 
-	<target name="install-imagemagick">
+	<target name="Installing ImageMagick">
 		<echo message="Installing ImageMagick"/>
 		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="imagemagick.lzma"/></patternset></unzip>
@@ -154,5 +154,5 @@
 	</target>
 
-	<target name="install-ghostscript">
+	<target name="Installing Ghostscript">
 		<echo message="Installing GhostScript"/>
 		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="ghostscript.lzma"/></patternset></unzip>
@@ -163,8 +163,5 @@
 	</target>
 	
-	<target name="cleanuptarget">
-	</target>
-	
-	<target name="install-start-menu-shortcuts">
+	<target name="Installing Start Menu Shortcuts">
 
 		<mkdir dir="${startmenu.path}\Documentation"/>