Index: release-kits/lirk2/ant-scripts/create-components.xml
===================================================================
--- release-kits/lirk2/ant-scripts/create-components.xml	(revision 17658)
+++ release-kits/lirk2/ant-scripts/create-components.xml	(revision 17659)
@@ -26,4 +26,6 @@
 
 	<!-- 3rd level -->	
+
+	<!-- core -->
 	<target name="prepare-core-component">
 
@@ -35,14 +37,11 @@
 				<include name="**/*"/>
 
-				<!-- sourcecode + imagemagick -->
+				<!-- exclude sourcecode + imagemagick -->
 				<exclude name="common-src"/>
 				<exclude name="common-src/**/*"/>
-				
 				<exclude name="runtime-src"/>
 				<exclude name="runtime-src/**/*"/>
-				
 				<exclude name="build-src"/>
 				<exclude name="build-src/**/*"/>
-				
 				<exclude name="bin/linux/imagemagick"/>
 				<exclude name="bin/linux/imagemagick/**/*"/>
@@ -56,43 +55,6 @@
 		<sevenzip task="encode" input="components/core.comp" output="components/core.lzma" dictionnary="26"/>
 	</target>
-	
-	<target name="prepare-sourcecode-component">
 
-		<delete dir="components/tmp/sourcecode"/>
-		<mkdir dir="components/tmp/sourcecode"/>
-
-		<copy todir="components/tmp/sourcecode" overwrite="true">
-			<fileset dir="distributions/web">
-				<include name="common-src/**/*"/>
-				<include name="runtime-src/**/*"/>
-				<include name="build-src/**/*"/>
-			</fileset>
-		</copy>
-				
-		<zip destfile="components/sourcecode.comp" basedir="components/tmp/sourcecode" compress="false" includes="**/*"/>
-	</target>
-		
-	<target name="compress-sourcecode-component">
-		<sevenzip task="encode" input="components/sourcecode.comp" output="components/sourcecode.lzma" dictionnary="26"/>
-	</target>
-	
-	<target name="prepare-imagemagick-component">
-
-		<delete dir="components/tmp/imagemagick"/>
-		<mkdir dir="components/tmp/imagemagick"/>
-
-		<copy todir="components/tmp/imagemagick" overwrite="true">
-			<fileset dir="distributions/web/bin/linux">
-				<include name="imagemagick/**/*"/>
-			</fileset>
-		</copy>
-				
-		<zip destfile="components/imagemagick.comp" basedir="components/tmp/imagemagick" compress="false" includes="**/*"/>
-	</target>
-		
-	<target name="compress-imagemagick-component">
-		<sevenzip task="encode" input="components/imagemagick.comp" output="components/imagemagick.lzma" dictionnary="26"/>
-	</target>
-
+	<!-- sourcecode core -->
 	<target name="prepare-sourcecode-core-component">
 		<delete dir="components/tmp/sourcecode-core"/>
@@ -117,3 +79,43 @@
 	</target>
 
+	<!-- sourcecode -->
+	<target name="prepare-sourcecode-component">
+
+		<delete dir="components/tmp/sourcecode"/>
+		<mkdir dir="components/tmp/sourcecode"/>
+
+		<copy todir="components/tmp/sourcecode" overwrite="true">
+			<fileset dir="distributions/web">
+				<include name="common-src/**/*"/>
+				<include name="runtime-src/**/*"/>
+				<include name="build-src/**/*"/>
+			</fileset>
+		</copy>
+				
+		<zip destfile="components/sourcecode.comp" basedir="components/tmp/sourcecode" compress="false" includes="**/*"/>
+	</target>
+		
+	<target name="compress-sourcecode-component">
+		<sevenzip task="encode" input="components/sourcecode.comp" output="components/sourcecode.lzma" dictionnary="26"/>
+	</target>
+	
+	<!-- imagemagick -->
+	<target name="prepare-imagemagick-component">
+
+		<delete dir="components/tmp/imagemagick"/>
+		<mkdir dir="components/tmp/imagemagick"/>
+
+		<copy todir="components/tmp/imagemagick" overwrite="true">
+			<fileset dir="distributions/web/bin/linux">
+				<include name="imagemagick/**/*"/>
+			</fileset>
+		</copy>
+				
+		<zip destfile="components/imagemagick.comp" basedir="components/tmp/imagemagick" compress="false" includes="**/*"/>
+	</target>
+		
+	<target name="compress-imagemagick-component">
+		<sevenzip task="encode" input="components/imagemagick.comp" output="components/imagemagick.lzma" dictionnary="26"/>
+	</target>
+
 </project>
Index: release-kits/lirk3/ant-scripts/create-components.xml
===================================================================
--- release-kits/lirk3/ant-scripts/create-components.xml	(revision 17658)
+++ release-kits/lirk3/ant-scripts/create-components.xml	(revision 17659)
@@ -30,4 +30,6 @@
 
 	<!-- 3rd level -->
+
+	<!-- core -->
 	<target name="prepare-core-component">
 
@@ -64,11 +66,4 @@
 		</copy>
 		
-		<!-- do some cleanup -->
-<!--		<delete dir="components/tmp/core/gs2build/common-src"/>
-		<delete dir="components/tmp/core/gs2build/build-src"/>
-		<delete dir="components/tmp/core/gs2build/runtime-src"/>
-		<delete dir="components/tmp/core/gs2build/bin/windows/imagemagick"/>
-		<delete dir="components/tmp/core/gs2build/bin/windows/ghostscript"/>-->
-				
 		<zip destfile="components/core.comp" basedir="components/tmp/core" compress="false" />
 	</target>
@@ -77,80 +72,6 @@
 		<sevenzip task="encode" input="components/core.comp" output="components/core.lzma" dictionnary="26"/>
 	</target>
-	
-	<target name="prepare-sourcecode-component">
 
-		<delete dir="components/tmp/sourcecode"/>
-		<mkdir dir="components/tmp/sourcecode"/>
-
-		<copy todir="components/tmp/sourcecode" overwrite="true">
-				<fileset dir="distribution/greenstone3">
-					<include name="src/**/*"/>
-					<include name="gs2build/common-src/**/*"/>
-					<include name="gs2build/build-src/**/*"/>
-					<include name="gs2build/runtime-src/**/*"/>
-				</fileset>
-		</copy>
-				
-		<zip destfile="components/sourcecode.comp" basedir="components/tmp/sourcecode" compress="false" />
-	</target>
-		
-	<target name="compress-sourcecode-component">
-		<sevenzip task="encode" input="components/sourcecode.comp" output="components/sourcecode.lzma" dictionnary="26"/>
-	</target>
-	
-	<target name="prepare-ant-component">
-
-		<delete dir="components/tmp/ant"/>
-		<mkdir dir="components/tmp/ant"/>
-
-		<copy todir="components/tmp/ant" overwrite="true">
-			<fileset dir="distribution/greenstone3/packages">
-				<include name="ant/**/*"/>
-			</fileset>
-		</copy>
-		
-		<zip destfile="components/ant.comp" basedir="components/tmp/ant" compress="false" />
-	</target>
-		
-	<target name="compress-ant-component">
-		<sevenzip task="encode" input="components/ant.comp" output="components/ant.lzma" dictionnary="26"/>
-	</target>
-	
-	<target name="prepare-tomcat-component">
-
-		<delete dir="components/tmp/tomcat"/>
-		<mkdir dir="components/tmp/tomcat"/>
-
-		<copy todir="components/tmp/tomcat" overwrite="true">
-			<fileset dir="distribution/greenstone3/packages">
-				<include name="tomcat/**/*"/>
-			</fileset>
-		</copy>
-		
-		<zip destfile="components/tomcat.comp" basedir="components/tmp/tomcat" compress="false" />
-	</target>
-		
-	<target name="compress-tomcat-component">
-		<sevenzip task="encode" input="components/tomcat.comp" output="components/tomcat.lzma" dictionnary="26"/>
-	</target>
-
-	<target name="prepare-imagemagick-component">
-
-		<delete dir="components/tmp/imagemagick"/>
-		<mkdir dir="components/tmp/imagemagick"/>
-
-		<copy todir="components/tmp/imagemagick" overwrite="true">
-			<fileset dir="distribution/greenstone3/gs2build/bin/linux">
-				<include name="imagemagick/**/*"/>
-			</fileset>
-		</copy>
-				
-		<zip destfile="components/imagemagick.comp" basedir="components/tmp/imagemagick" compress="false" includes="**/*"/>
-	</target>
-		
-	<target name="compress-imagemagick-component">
-		<sevenzip task="encode" input="components/imagemagick.comp" output="components/imagemagick.lzma" dictionnary="26"/>
-	</target>
-
+	<!-- sourcecode-core -->
 	<target name="prepare-sourcecode-core-component">
 		<delete dir="components/tmp/sourcecode-core"/>
@@ -177,4 +98,83 @@
 		<sevenzip task="encode" input="components/sourcecode-core.comp" output="components/sourcecode-core.lzma" dictionnary="26"/>
 	</target>
+	
+	<!-- sourcecode -->
+	<target name="prepare-sourcecode-component">
+
+		<delete dir="components/tmp/sourcecode"/>
+		<mkdir dir="components/tmp/sourcecode"/>
+
+		<copy todir="components/tmp/sourcecode" overwrite="true">
+				<fileset dir="distribution/greenstone3">
+					<include name="src/**/*"/>
+					<include name="gs2build/common-src/**/*"/>
+					<include name="gs2build/build-src/**/*"/>
+					<include name="gs2build/runtime-src/**/*"/>
+				</fileset>
+		</copy>
+				
+		<zip destfile="components/sourcecode.comp" basedir="components/tmp/sourcecode" compress="false" />
+	</target>
+		
+	<target name="compress-sourcecode-component">
+		<sevenzip task="encode" input="components/sourcecode.comp" output="components/sourcecode.lzma" dictionnary="26"/>
+	</target>
+
+	<!-- ant -->	
+	<target name="prepare-ant-component">
+
+		<delete dir="components/tmp/ant"/>
+		<mkdir dir="components/tmp/ant"/>
+
+		<copy todir="components/tmp/ant" overwrite="true">
+			<fileset dir="distribution/greenstone3/packages">
+				<include name="ant/**/*"/>
+			</fileset>
+		</copy>
+		
+		<zip destfile="components/ant.comp" basedir="components/tmp/ant" compress="false" />
+	</target>
+		
+	<target name="compress-ant-component">
+		<sevenzip task="encode" input="components/ant.comp" output="components/ant.lzma" dictionnary="26"/>
+	</target>
+	
+	<!-- tomcat -->
+	<target name="prepare-tomcat-component">
+
+		<delete dir="components/tmp/tomcat"/>
+		<mkdir dir="components/tmp/tomcat"/>
+
+		<copy todir="components/tmp/tomcat" overwrite="true">
+			<fileset dir="distribution/greenstone3/packages">
+				<include name="tomcat/**/*"/>
+			</fileset>
+		</copy>
+		
+		<zip destfile="components/tomcat.comp" basedir="components/tmp/tomcat" compress="false" />
+	</target>
+		
+	<target name="compress-tomcat-component">
+		<sevenzip task="encode" input="components/tomcat.comp" output="components/tomcat.lzma" dictionnary="26"/>
+	</target>
+
+	<!-- imagemagick -->
+	<target name="prepare-imagemagick-component">
+
+		<delete dir="components/tmp/imagemagick"/>
+		<mkdir dir="components/tmp/imagemagick"/>
+
+		<copy todir="components/tmp/imagemagick" overwrite="true">
+			<fileset dir="distribution/greenstone3/gs2build/bin/linux">
+				<include name="imagemagick/**/*"/>
+			</fileset>
+		</copy>
+				
+		<zip destfile="components/imagemagick.comp" basedir="components/tmp/imagemagick" compress="false" includes="**/*"/>
+	</target>
+		
+	<target name="compress-imagemagick-component">
+		<sevenzip task="encode" input="components/imagemagick.comp" output="components/imagemagick.lzma" dictionnary="26"/>
+	</target>
 
 </project>
Index: release-kits/mark2/ant-scripts/create-components.xml
===================================================================
--- release-kits/mark2/ant-scripts/create-components.xml	(revision 17658)
+++ release-kits/mark2/ant-scripts/create-components.xml	(revision 17659)
@@ -34,4 +34,5 @@
 	</target>
 	
+	<!-- core -->
 	<target name="prepare-core-component">
 
@@ -43,5 +44,5 @@
 				<include name="**/*"/>
 
-				<!-- exclude sourcecode -->
+				<!-- exclude sourcecode + imagemagick -->
 				<exclude name="common-src"/>
 				<exclude name="common-src/**/*"/>
@@ -50,4 +51,6 @@
 				<exclude name="build-src"/>
 				<exclude name="build-src/**/*"/>
+				<exclude name="bin/linux/imagemagick"/>
+				<exclude name="bin/linux/imagemagick/**/*"/>
 
 			</fileset>
@@ -59,25 +62,6 @@
 		<sevenzip task="encode" input="components/core.comp" output="components/core.lzma" dictionnary="26"/>
 	</target>
-	
-	<target name="prepare-sourcecode-component">
 
-		<delete dir="components/tmp/sourcecode"/>
-		<mkdir dir="components/tmp/sourcecode"/>
-
-		<copy todir="components/tmp/sourcecode" overwrite="true">
-			<fileset dir="distributions/web">
-				<include name="common-src/**/*"/>
-				<include name="runtime-src/**/*"/>
-				<include name="build-src/**/*"/>
-			</fileset>
-		</copy>
-				
-		<zip destfile="components/sourcecode.comp" basedir="components/tmp/sourcecode" compress="false" includes="**/*"/>
-	</target>
-		
-	<target name="compress-sourcecode-component">
-		<sevenzip task="encode" input="components/sourcecode.comp" output="components/sourcecode.lzma" dictionnary="26"/>
-	</target>
-	
+	<!-- sourcecode core -->
 	<target name="prepare-sourcecode-core-component">
 		<delete dir="components/tmp/sourcecode-core"/>
@@ -102,3 +86,43 @@
 	</target>
 
+	<!-- sourcecode -->
+	<target name="prepare-sourcecode-component">
+
+		<delete dir="components/tmp/sourcecode"/>
+		<mkdir dir="components/tmp/sourcecode"/>
+
+		<copy todir="components/tmp/sourcecode" overwrite="true">
+			<fileset dir="distributions/web">
+				<include name="common-src/**/*"/>
+				<include name="runtime-src/**/*"/>
+				<include name="build-src/**/*"/>
+			</fileset>
+		</copy>
+				
+		<zip destfile="components/sourcecode.comp" basedir="components/tmp/sourcecode" compress="false" includes="**/*"/>
+	</target>
+
+	<target name="compress-sourcecode-component">
+		<sevenzip task="encode" input="components/sourcecode.comp" output="components/sourcecode.lzma" dictionnary="26"/>
+	</target>
+
+	<!-- imagemagick -->
+	<target name="prepare-imagemagick-component">
+
+		<delete dir="components/tmp/imagemagick"/>
+		<mkdir dir="components/tmp/imagemagick"/>
+
+		<copy todir="components/tmp/imagemagick" overwrite="true">
+			<fileset dir="distributions/web/bin/linux">
+				<include name="imagemagick/**/*"/>
+			</fileset>
+		</copy>
+				
+		<zip destfile="components/imagemagick.comp" basedir="components/tmp/imagemagick" compress="false" includes="**/*"/>
+	</target>
+		
+	<target name="compress-imagemagick-component">
+		<sevenzip task="encode" input="components/imagemagick.comp" output="components/imagemagick.lzma" dictionnary="26"/>
+	</target>
+
 </project>
Index: release-kits/mark2/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17658)
+++ release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17659)
@@ -30,5 +30,4 @@
 			<export srcurl="${svn.root}/gli/${branch.path}" destPath="distributions/web/gli"/>
 		</svn>
-		<copy todir="distributions/source"><fileset dir="distributions/web"/></copy>
 	</target>
 
Index: release-kits/mark3/ant-scripts/create-components.xml
===================================================================
--- release-kits/mark3/ant-scripts/create-components.xml	(revision 17658)
+++ release-kits/mark3/ant-scripts/create-components.xml	(revision 17659)
@@ -28,4 +28,5 @@
 
 	<!-- 3rd level -->
+	<!-- core -->
 	<target name="prepare-core-component">
 
@@ -66,61 +67,5 @@
 	</target>
 	
-	<target name="prepare-sourcecode-component">
-
-		<delete dir="components/tmp/sourcecode"/>
-		<mkdir dir="components/tmp/sourcecode"/>
-
-		<copy todir="components/tmp/sourcecode" overwrite="true">
-				<fileset dir="distribution/greenstone3">
-					<include name="src/**/*"/>
-					<include name="gs2build/common-src/**/*"/>
-					<include name="gs2build/build-src/**/*"/>
-					<include name="gs2build/runtime-src/**/*"/>
-				</fileset>
-		</copy>
-				
-		<zip destfile="components/sourcecode.comp" basedir="components/tmp/sourcecode" compress="false" />
-	</target>
-		
-	<target name="compress-sourcecode-component">
-		<sevenzip task="encode" input="components/sourcecode.comp" output="components/sourcecode.lzma" dictionnary="26"/>
-	</target>
-	
-	<target name="prepare-ant-component">
-
-		<delete dir="components/tmp/ant"/>
-		<mkdir dir="components/tmp/ant"/>
-
-		<copy todir="components/tmp/ant" overwrite="true">
-			<fileset dir="distribution/greenstone3/packages">
-				<include name="ant/**/*"/>
-			</fileset>
-		</copy>
-		
-		<zip destfile="components/ant.comp" basedir="components/tmp/ant" compress="false" />
-	</target>
-		
-	<target name="compress-ant-component">
-		<sevenzip task="encode" input="components/ant.comp" output="components/ant.lzma" dictionnary="26"/>
-	</target>
-	
-	<target name="prepare-tomcat-component">
-
-		<delete dir="components/tmp/tomcat"/>
-		<mkdir dir="components/tmp/tomcat"/>
-
-		<copy todir="components/tmp/tomcat" overwrite="true">
-			<fileset dir="distribution/greenstone3/packages">
-				<include name="tomcat/**/*"/>
-			</fileset>
-		</copy>
-		
-		<zip destfile="components/tomcat.comp" basedir="components/tmp/tomcat" compress="false" />
-	</target>
-		
-	<target name="compress-tomcat-component">
-		<sevenzip task="encode" input="components/tomcat.comp" output="components/tomcat.lzma" dictionnary="26"/>
-	</target>	
-
+	<!-- sourcecode-core -->
 	<target name="prepare-sourcecode-core-component">
 		<delete dir="components/tmp/sourcecode-core"/>
@@ -148,4 +93,83 @@
 	</target>
 
+
+	<!-- sourcecode -->
+	<target name="prepare-sourcecode-component">
+
+		<delete dir="components/tmp/sourcecode"/>
+		<mkdir dir="components/tmp/sourcecode"/>
+
+		<copy todir="components/tmp/sourcecode" overwrite="true">
+				<fileset dir="distribution/greenstone3">
+					<include name="src/**/*"/>
+					<include name="gs2build/common-src/**/*"/>
+					<include name="gs2build/build-src/**/*"/>
+					<include name="gs2build/runtime-src/**/*"/>
+				</fileset>
+		</copy>
+				
+		<zip destfile="components/sourcecode.comp" basedir="components/tmp/sourcecode" compress="false" />
+	</target>
+		
+	<target name="compress-sourcecode-component">
+		<sevenzip task="encode" input="components/sourcecode.comp" output="components/sourcecode.lzma" dictionnary="26"/>
+	</target>
 	
+	<!-- ant -->
+	<target name="prepare-ant-component">
+
+		<delete dir="components/tmp/ant"/>
+		<mkdir dir="components/tmp/ant"/>
+
+		<copy todir="components/tmp/ant" overwrite="true">
+			<fileset dir="distribution/greenstone3/packages">
+				<include name="ant/**/*"/>
+			</fileset>
+		</copy>
+		
+		<zip destfile="components/ant.comp" basedir="components/tmp/ant" compress="false" />
+	</target>
+		
+	<target name="compress-ant-component">
+		<sevenzip task="encode" input="components/ant.comp" output="components/ant.lzma" dictionnary="26"/>
+	</target>
+	
+	<!-- tomcat -->
+	<target name="prepare-tomcat-component">
+
+		<delete dir="components/tmp/tomcat"/>
+		<mkdir dir="components/tmp/tomcat"/>
+
+		<copy todir="components/tmp/tomcat" overwrite="true">
+			<fileset dir="distribution/greenstone3/packages">
+				<include name="tomcat/**/*"/>
+			</fileset>
+		</copy>
+		
+		<zip destfile="components/tomcat.comp" basedir="components/tmp/tomcat" compress="false" />
+	</target>
+		
+	<target name="compress-tomcat-component">
+		<sevenzip task="encode" input="components/tomcat.comp" output="components/tomcat.lzma" dictionnary="26"/>
+	</target>
+
+	<!-- imagemagick -->
+	<target name="prepare-imagemagick-component">
+
+		<delete dir="components/tmp/imagemagick"/>
+		<mkdir dir="components/tmp/imagemagick"/>
+
+		<copy todir="components/tmp/imagemagick" overwrite="true">
+			<fileset dir="distribution/greenstone3/gs2build/bin/linux">
+				<include name="imagemagick/**/*"/>
+			</fileset>
+		</copy>
+				
+		<zip destfile="components/imagemagick.comp" basedir="components/tmp/imagemagick" compress="false" includes="**/*"/>
+	</target>
+		
+	<target name="compress-imagemagick-component">
+		<sevenzip task="encode" input="components/imagemagick.comp" output="components/imagemagick.lzma" dictionnary="26"/>
+	</target>
+
 </project>
Index: release-kits/mark3/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17658)
+++ release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17659)
@@ -40,5 +40,4 @@
 			<export srcurl="${svn.root}/gli/${branch.path}" destPath="distribution/greenstone3/gli"/>
 		</svn>
-		<copy todir="distribution/source"><fileset dir="distribution/greenstone3"/></copy>
 	</target>
 