Index: /release-kits/lirk2/installer/build.xml
===================================================================
--- /release-kits/lirk2/installer/build.xml	(revision 17662)
+++ /release-kits/lirk2/installer/build.xml	(revision 17663)
@@ -53,4 +53,5 @@
 		<chmod dir="${installDir}" includes="*.sh,*.bash" perm="775"/>
 		<chmod dir="${installDir}/bin/linux" includes="*" perm="775"/>
+		<chmod dir="${installDir}/bin/linux/imagemagick" includes="*" perm="775"/>
 		<chmod dir="${installDir}/bin" includes="*" perm="775"/>
 		<chmod dir="${installDir}/cgi-bin" includes="*" perm="775"/>
Index: /release-kits/lirk3/installer/build.xml
===================================================================
--- /release-kits/lirk3/installer/build.xml	(revision 17662)
+++ /release-kits/lirk3/installer/build.xml	(revision 17663)
@@ -47,4 +47,5 @@
 		<chmod dir="${installDir}/bin" includes="*" perm="775"/>
 		<chmod dir="${installDir}/gs2build/bin/linux" includes="*" perm="775"/>
+		<chmod dir="${installDir}/gs2build/bin/linux/imagemagick" includes="*" perm="775"/>
 		<chmod dir="${installDir}/gs2build/bin/script" includes="**/*" perm="775"/>
 		<chmod dir="${installDir}/gli" includes="*.sh" perm="775"/>
Index: /release-kits/mark2/ant-scripts/create-components.xml
===================================================================
--- /release-kits/mark2/ant-scripts/create-components.xml	(revision 17662)
+++ /release-kits/mark2/ant-scripts/create-components.xml	(revision 17663)
@@ -13,4 +13,6 @@
 	<target name="prepare-components">
 		<antcall target="prepare-core-component" />
+		<antcall target="prepare-imagemagick-component" />
+		<antcall target="prepare-ghostscript-component" />
 		<antcall target="prepare-sourcecode-component" />
 		<antcall target="prepare-sourcecode-core-component" />
@@ -19,4 +21,6 @@
 	<target name="compress-components">
 		<antcall target="compress-core-component" />
+		<antcall target="compress-imagemagick-component" />
+		<antcall target="compress-ghostscript-component" />
 		<antcall target="compress-sourcecode-component" />
 		<antcall target="compress-sourcecode-core-component" />
@@ -126,3 +130,22 @@
 	</target>
 
+	<!-- ghostscript -->
+	<target name="prepare-ghostscript-component">
+
+		<delete dir="components/tmp/ghostscript"/>
+		<mkdir dir="components/tmp/ghostscript"/>
+
+		<copy todir="components/tmp/ghostscript" overwrite="true">
+			<fileset dir="distributions/web/bin/darwin">
+				<include name="ghostscript/**/*"/>
+			</fileset>
+		</copy>
+				
+		<zip destfile="components/ghostscript.comp" basedir="components/tmp/ghostscript" compress="false" includes="**/*"/>
+	</target>
+		
+	<target name="compress-ghostscript-component">
+		<sevenzip task="encode" input="components/ghostscript.comp" output="components/ghostscript.lzma" dictionnary="26"/>
+	</target>
+
 </project>
Index: /release-kits/mark2/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17662)
+++ /release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17663)
@@ -17,5 +17,4 @@
 		<antcall target="insert-uninstaller"><param name="script-format" value="sh"/></antcall> <!-- from rk2-targets -->
 		<antcall target="insert-export-to-cd-package"/>		<!-- from rk2-targets -->
-		<antcall target="export-imagemagick-linux-binaries" />
 		<antcall target="export-imagemagick-darwin-binaries" />
 		<antcall target="export-ghostscript-darwin-binaries" />
Index: /release-kits/mark2/installer/build.xml
===================================================================
--- /release-kits/mark2/installer/build.xml	(revision 17662)
+++ /release-kits/mark2/installer/build.xml	(revision 17663)
@@ -48,4 +48,6 @@
 		<chmod dir="${installDir}" includes="*.sh,*.bash" perm="775"/>
 		<chmod dir="${installDir}/bin/darwin" includes="*" perm="775"/>
+		<chmod dir="${installDir}/bin/darwin/imagemagick" includes="*" perm="775"/>
+		<chmod dir="${installDir}/bin/darwin/ghostscript" includes="*" perm="775"/>
 		<chmod dir="${installDir}/bin" includes="*" perm="775"/>
 		<chmod dir="${installDir}/cgi-bin" includes="*" perm="775"/>
Index: /release-kits/mark3/ant-scripts/create-components.xml
===================================================================
--- /release-kits/mark3/ant-scripts/create-components.xml	(revision 17662)
+++ /release-kits/mark3/ant-scripts/create-components.xml	(revision 17663)
@@ -16,4 +16,6 @@
 		<antcall target="prepare-ant-component" />
 		<antcall target="prepare-tomcat-component" />
+		<antcall target="prepare-imagemagick-component" />
+		<antcall target="prepare-ghostscript-component" />
 		<antcall target="prepare-sourcecode-core-component" />
 	</target>
@@ -24,4 +26,6 @@
 		<antcall target="compress-ant-component" />
 		<antcall target="compress-tomcat-component" />
+		<antcall target="compress-imagemagick-component" />
+		<antcall target="compress-ghostscript-component" />
 		<antcall target="compress-sourcecode-core-component" />
 	</target>
@@ -61,5 +65,5 @@
 
 			</fileset>
-		</copy>
+		</copy>	
 				
 		<zip destfile="components/core.comp" basedir="components/tmp/core" compress="false" />
@@ -176,3 +180,23 @@
 	</target>
 
+	<!-- ghostscript -->
+	<target name="prepare-ghostscript-component">
+
+		<delete dir="components/tmp/ghostscript"/>
+		<mkdir dir="components/tmp/ghostscript"/>
+
+		<copy todir="components/tmp/ghostscript" overwrite="true">
+			<fileset dir="distribution/greenstone3/gs2build/bin/darwin">
+				<include name="ghostscript/**/*"/>
+			</fileset>
+		</copy>
+				
+		<zip destfile="components/ghostscript.comp" basedir="components/tmp/ghostscript" compress="false" includes="**/*"/>
+	</target>
+		
+	<target name="compress-ghostscript-component">
+		<sevenzip task="encode" input="components/ghostscript.comp" output="components/ghostscript.lzma" dictionnary="26"/>
+	</target>
+
+
 </project>
Index: /release-kits/mark3/installer/build.xml
===================================================================
--- /release-kits/mark3/installer/build.xml	(revision 17662)
+++ /release-kits/mark3/installer/build.xml	(revision 17663)
@@ -38,5 +38,7 @@
 		<chmod dir="${installDir}/bin/script" includes="*" perm="775"/>
 		<chmod dir="${installDir}/bin" includes="*" perm="775"/>
-		<chmod dir="${installDir}/gs2build/bin/linux" includes="*" perm="775"/>
+		<chmod dir="${installDir}/gs2build/bin/darwin" includes="*" perm="775"/>
+		<chmod dir="${installDir}/gs2build/bin/darwin/imagemagick" includes="*" perm="775"/>
+		<chmod dir="${installDir}/gs2build/bin/darwin/ghostscript" includes="*" perm="775"/>
 		<chmod dir="${installDir}/gs2build/bin/script" includes="**/*" perm="775"/>
 		<chmod dir="${installDir}/gli" includes="*.sh" perm="775"/>