Index: /release-kits/shared/language-strings/LanguagePack.properties
===================================================================
--- /release-kits/shared/language-strings/LanguagePack.properties	(revision 17676)
+++ /release-kits/shared/language-strings/LanguagePack.properties	(revision 17676)
@@ -0,0 +1,187 @@
+### Language page ###
+page.language-selector.displayText = Language
+language-selector-explanation.displayText = Please choose your preferred language (Note: This installer has not been fully translated into all these languages yet)
+
+
+### Intro Page ###
+page.intro.displayText = Greenstone @version@ installer
+welcome-message.displayText = Greenstone@version.major@ is software for building and sharing digital libraries.\n\nIt is recommended that you uninstall any previous installations of Greenstone@version.major@ before running this installer.
+
+## License page ###
+page.license.displayText = Software License
+
+
+### Destination page ###
+page.destination.displayText = Installation Folder
+installDir.displayText = Select an installation folder
+
+
+### InstallShield install detected page ###
+page.dontBudge.displayText = Previous Install Detected
+is-install-detected.displayText = An installation of Greenstone2 older than version 2.81, or an installation of Greenstone3 older than version 3.04, was detected in the installation folder. Installation cannot proceed using the selected installation folder.\n\nPlease quit this installer, uninstall the existing Greenstone installation, and then re-run this installer (recommended). Alternatively, you may go back to the previous page of this installer and select a different installation folder.
+
+
+### Components Page ###
+# (Note: in the html here, we must use '<br>' for breaklines.
+# '<br/>' and other variations are not recognised.)
+page.selector.displayText = Components
+choose-components.displayText = Please choose the components you wish to install
+
+Looking_For_Previous_Installation.displayText = Search for Previous Installations
+Looking_For_Previous_Installation.explanatoryText = If this is an over-install, load some properties of the existing installation to aid the installation process.
+
+Installing_Core_System.displayText = Core System
+Installing_Core_System.explanatoryText = \
+<html> \
+This is the core Greenstone@version.major@ system. It is a required component. \
+</html>
+
+Installing_Source_Code_Core.displayText = Source Code Core
+Installing_Source_Code_Core.explanatoryText = \
+<html> \
+This is the core Greenstone@version.major@ system for source releases. It includes supporting files to accompany the source code. \
+</html>
+
+Installing_Source_Code.displayText = Source Code
+Installing_Source_Code.explanatoryText = \
+<html> \
+Install the source code if you wish to compile Greenstone@version.major@ yourself, make modifications to your copy of Greenstone@version.major@, or if you just <br> \
+want to see how it works. \
+</html>
+
+Installing_ImageMagick.displayText = ImageMagick (@bundled.version.imagemagick@)
+Installing_ImageMagick.explanatoryText = \
+<html> \
+Greenstone uses ImageMagick to process images. If you have ImageMagick on your computer already,<br> \
+or if you don't wish to include images in Greenstone collections, then you may choose not to<br> \
+install ImageMagick. \
+</html>
+
+Installing_Ghostscript.displayText = GhostScript (@bundled.version.ghostscript@)
+Installing_Ghostscript.explanatoryText = \
+<html> \
+Greenstone uses GhostScript to process PDF and PostScript files.<br> \
+If you have Ghostscript on your computer already, or if you don't wish to include images in<br> \
+Greenstone collections, then you may choose not to install Ghostscript. \
+</html>
+
+Installing_Start_Menu_Shortcuts.displayText = Start Menu Shortcuts
+Installing_Start_Menu_Shortcuts.explanatoryText = Create shortcuts to Greenstone@version.major@ on your Start Menu
+
+Installing_Tomcat.displayText = Apache Tomcat (@bundled.version.tomcat@)
+Installing_Tomcat.explanatoryText = \
+<html> \
+Greenstone3 requires the Apache Tomcat web server to serve your digital library over <br> \
+the web. If you have an existing installation of Tomcat, you can use that installation <br> \
+(some configuration is required), so you can safely opt not to install this component. \
+</html>
+
+Installing_Ant.displayText = Apache Ant (@bundled.version.ant@)
+Installing_Ant.explanatoryText = \
+<html> \
+Greenstone3 requires Apache Ant to start and stop the Tomcat web server, to recompile <br> \
+the source code, and to perform some maintainence tasks. If you already have Ant installed, <br> \
+you can safely opt not to install this component. \
+</html>
+
+### Admin password page
+page.admin-password.displayText = Please set the Admin Password
+admin.password.displayText = Admin Password
+admin-password-expl.displayText = In order to access certain parts of the Greenstone interface you need a password. A user with the username 'admin' will be created for you with the password you provide. The password must be between three and eight characters long.
+
+### Tomcat config page
+page.tomcat-config.displayText = Apache Tomcat Configuration
+tomcat-config-explanation1.displayText = Greenstone3 uses Apache Tomcat to share your digital libraries.
+tomcat-config-explanation2.displayText = You can either configure Tomcat here, or by editing the build.properties file in the Greenstone3 home folder (${installDir}).
+tomcat.server.displayText = Tomcat Server
+tomcat-server.explanatoryText = Please enter the name of the server machine where the library will be hosted. If you are not sure, accept the default (localhost).
+tomcat.port.explanatoryText = Please select the ports which tomcat should use. It is usually safe to accept the defaults. If you are already running other services on the default ports, please select some free ports.
+tomcat.port.displayText = Tom	cat Port
+tomcat.shutdown.port.displayText = Tomcat Shutdown Port
+
+### Progress page
+page.progress.displayText = Installation progress
+
+### Uninstaller Strings
+
+uninstaller.greenstone.uninstaller:Greenstone Uninstaller
+uninstaller.cancel:Cancel
+uninstaller.uninstall:Uninstall
+uninstaller.finish:Finish
+uninstaller.error:Error
+uninstaller.confirmation:Confirmation
+uninstaller.continue:Continue
+uninstaller.complete:Complete
+uninstaller.skip:Skip
+uninstaller.skip.all:Skip All
+uninstaller.retry:Retry
+uninstaller.readonly:Read Only
+
+uninstaller.will.uninstall.from:This will uninstall the Greenstone installation at
+uninstaller.uninstall.options:Uninstall Options:
+uninstaller.keep.collections:Keep Collections
+uninstaller.are.you.sure:Are you sure you wish to Uninstall Greenstone
+uninstaller.are.you.sure.collections:You have chosen to delete your collections.\nPlease backup any collections you wish to keep before continuing
+uninstaller.failed.to.figure.cd:Failed to figure out the current directory
+uninstaller.cancelled:Uninstall Cancelled
+uninstaller.finished:Uninstall Finished
+uninstaller.deleting:Deleting {file} from disk
+
+uninstaller.info.skipping:INFO: Skipping {file}
+uninstaller.info.no.startmenu:INFO: No StartMenu path found. Deleting a StartMenu group will not be part of this uninstall
+uninstaller.warning.readonly:WARNING: {file} appears to be read-only
+uninstaller.warning.couldnt.delete:WARNING: {file} could not be deleted
+uninstaller.warning.nonexistent:WARNING: {file} does not exist
+uninstaller.error.nonexistent:ERROR: {file} does not exist
+uninstaller.error.couldnt.find.install.props:ERROR: Could not find the 'installation.properties' or 'etc/installation.properties' file.\nEither this is not a valid Greenstone installation, or the installation has been corrupted.\nUninstallation cannot proceed
+uninstaller.warning.couldnt.create.flagfile:WARNING: Couldn't create the flag file. You will have to delete the jre and loose uninstaller files manually
+
+
+### Ant-Installer Core strings
+
+dirNotExistCreate=The folder does not exist, create it?
+dirNotExist=The folder does not exist
+fileNotExist=The file does not exist
+dirNotCreated=The folder could not be created
+canNotCreateFile=Can not create file
+appRootInvalid=This folder does not appear to be the root of the application
+selectFile=Select File
+selectFolder=Select Folder
+browseDotDotDot=Browse...
+notValidSelection=Not a valid selection
+showDetails=Show Details
+
+#Default loading
+promptLoadDefaults=Installation configuration found. Load the existing configuration?
+promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
+
+click=Click
+toContinue=to continue
+failed=Failed
+exit=Exit
+complete=Complete
+finished=Finished
+extracting=Extracting...
+installFinished=Install Finished
+install-cancelled=Install Cancelled
+running=
+
+backButton=Back
+cancelButton=Cancel
+nextButton=Next
+finishButtonText = Install
+
+output=Output
+errors=Errors
+notCorrectFormat=The field is not of the correct format
+notCorrectPasswordFormat=The password is not of the correct format
+passwordsDoNotMatch=The passwords do not match
+installationFailed=Install failed
+propertiesVersionMismatch=Some options are missing from the previous version and must be manually entered, continue?
+
+Finished=Finished
+Failed=Failed, view the error messages
+ant.failure=Ant run failed - examine the error logs for details
+
+license.next.text=Accept
+license.cancel.text=Reject
Index: /release-kits/shared/language-strings/LanguagePack_de.properties
===================================================================
--- /release-kits/shared/language-strings/LanguagePack_de.properties	(revision 17676)
+++ /release-kits/shared/language-strings/LanguagePack_de.properties	(revision 17676)
@@ -0,0 +1,46 @@
+dirNotExistCreate=Das Verzeichnis existiert nicht, erzeugen?
+dirNotExist=Das Verzeichnis existiert nicht
+fileNotExist=Die Datei existiert nicht
+dirNotCreated=Das Verzeichnis konnte nicht erzeugt werden
+canNotCreateFile=Kann die Datei nicht erzeugen
+appRootInvalid=Das Verzeichnis scheint nicht das Wurzelverzeichnis der Applikation zu sein
+selectFile=Datei auswählen
+selectFolder=Verzeichnis auswählen
+notValidSelection=Keine gültige Auswahl
+# browseDotDotDot=
+showDetails=Details anzeigen
+
+#Default loading
+promptLoadDefaults=Installation configuration found. Load the existing configuration?
+promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
+
+click=Klicken
+toContinue=zum Fortfahren
+failed=fehlgeschlagen
+exit=Beenden
+complete=Fertigstellen
+finished=abgeschlossen
+extracting=Auspacken ...
+installFinished=Installation beendet
+# install-cancelled=
+running=
+
+backButton=Zurück
+cancelButton=Abbrechen
+nextButton=Weiter
+# finishButtonText = 
+
+output=Ausgabe
+errors=Fehler
+notCorrectFormat=Der Wert hat nicht das vorgegebene Format
+notCorrectPasswordFormat=Das Kennwort hat nicht das vorgegebene Format
+passwordsDoNotMatch=The passwords do not match
+installationFailed=Installation fehlgeschlagen
+propertiesVersionMismatch=Some properties are missing from and must be manually entered, continue?
+
+Finished=Fertig
+Failed=Fehlgeschlagen, Details siehe Fehlermeldungen
+ant.failure=Ant run failed - examine the error logs for details
+
+license.next.text=Accept
+license.cancel.text=Reject
Index: /release-kits/shared/language-strings/LanguagePack_es.properties
===================================================================
--- /release-kits/shared/language-strings/LanguagePack_es.properties	(revision 17676)
+++ /release-kits/shared/language-strings/LanguagePack_es.properties	(revision 17676)
@@ -0,0 +1,46 @@
+dirNotExistCreate=El directorio no existe, quieres crearlo?
+dirNotExist=El directorio no existe.
+fileNotExist=El fichero no existe.
+dirNotCreated=El directorio no se ha creado.
+canNotCreateFile=No se puede crear el fichero.
+appRootInvalid=Este directorio no parece ser la raiz de la aplicaciòn.
+selectFile=Seleccionar fichero.
+selectFolder=Seleccionar carpeta.
+notValidSelection=No es una opciòn vàlida.
+# browseDotDotDot=
+showDetails=Enseñar detalles.
+
+#Default loading
+promptLoadDefaults=Configuracion de instalaciòn encontrada. Carga configuraciòn?
+promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
+
+click=Click
+toContinue=Para continuar
+failed= Intento Fallido
+exit=Salir
+complete=Completar
+finished=Terminado
+extracting=Extrayendo...
+installFinished=Se ha terminado la instalaciòn
+# install-cancelled=
+running=Ejecutando:
+
+backButton=Atras
+cancelButton=Cancelar
+nextButton=Proxima
+# finishButtonText = 
+
+output=Salida
+errors=Errores
+notCorrectFormat=El fichero no tiene un formato adecuado.
+notCorrectPasswordFormat=El fichero no tiene un formato adecuado.
+passwordsDoNotMatch=Las contraseñas tienen que ser iguales
+installationFailed=Instalaciòn fallado
+propertiesVersionMismatch=Faltan datos del versión anterior, continuar y entrar los manualmente?
+
+Finished=Terminado
+Failed=Intento fallido, enseñar mensajes de error
+ant.failure=Ant run failed - examine the error logs for details
+
+license.next.text=Aceptar
+license.cancel.text=Cancellar
Index: /release-kits/shared/language-strings/LanguagePack_es_EU.properties
===================================================================
--- /release-kits/shared/language-strings/LanguagePack_es_EU.properties	(revision 17676)
+++ /release-kits/shared/language-strings/LanguagePack_es_EU.properties	(revision 17676)
@@ -0,0 +1,46 @@
+dirNotExistCreate=Direktorioa ez da existitzen, sortu nahi al duzu?
+dirNotExist=Direktorioa ez da existitzen.
+fileNotExist=Fitxategia ez da existitzen.
+dirNotCreated=Ezin izan da direktorioa sortu.
+canNotCreateFile=Fitxategia ezin da sortu.
+appRootInvalid=Ez dirutdi direktorio hay aplikazioaren erroa denik.
+selectFile=Fitxategia aukeratu.
+selectFolder=karpeta aukeratu.
+notValidSelection=Ez da aukera onargarria.
+# browseDotDotDot=
+showDetails=Erakutsi xehetasunak.
+
+#Default loading
+promptLoadDefaults=Instalazio konfigurazio bat aurkituta. Kargatu instalazioa?
+promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
+
+click=Sakatu
+toContinue=Jarraitzeko
+failed=Hutsegitea
+exit=Atera
+complete=Bukatu
+finished=Bukatuta
+extracting=Ateratzen...
+installFinished=Instalazioa bukatuta.
+# install-cancelled=
+running=Exekutatzen:
+
+backButton=Atzera
+cancelButton=Ezeztatu
+nextButton=Hurrengoa
+# finishButtonText = 
+
+output=Irteera
+errors=Akatsak
+notCorrectFormat=Fitxategia ez da formatu egokikoa.
+notCorrectPasswordFormat=Fitxategia ez da formatu egokikoa.
+passwordsDoNotMatch=Pasa hitzak berdinak izan behar dira 
+installationFailed=Instalaciòn fallado
+propertiesVersionMismatch=Faltan datos del versión anterior, continuar y entrar los manualmente?
+
+Finished=Bukatuta
+Failed=Huts egin da, erakutsi akats mezuak
+ant.failure=Ant run failed - examine the error logs for details
+
+license.next.text=Aceptar
+license.cancel.text=Cancellar