Index: lease-kits/shared/greenstone2/installer-classes/resources/LanguagePack.properties
===================================================================
--- /release-kits/shared/greenstone2/installer-classes/resources/LanguagePack.properties	(revision 17676)
+++ 	(revision )
@@ -1,122 +1,0 @@
-#language page
-page.language-selector.displayText = Language
-language-selector-explanation.displayText = Please choose your preferred language (Note: This installer has not been fully translated into all these languages yet)
-
-# intro page
-page.intro.displayText = Greenstone @version@ installer
-welcome-message.displayText = Greenstone2 is software for building and sharing digital libraries.\n\nIt is recommended that you uninstall any previous installations of Greenstone2 before running this installer.
-
-# license page
-page.license.displayText = License conditions
-
-# destination page
-page.destination.displayText = Install Destination
-installDir.displayText = Select an installation folder
-
-# selector page
-page.selector.displayText = Components
-choose-components.displayText = Choose the components you want to install
-
-#target names and descriptions
-
-Looking_For_Previous_Installation = Load Properties of Old Installation
-
-Installing_Core_System.displayText = Core System
-Installing_Core_System.explanatoryText = \
-<html> \
-This is the core Greenstone2 system. It is a required component. \
-</html>
-
-Installing_Source_Code_Core.displayText = Source Code Core
-Installing_Source_Code_Core.explanatoryText = \
-<html> \
-This is the core Greenstone2 system for source releases. It includes config files, macros, images and other files which accompany the source code. \
-</html>
-
-Installing_Source_Code.displayText = Source Code
-Installing_Source_Code.explanatoryText = \
-<html> \
-The source code is an optional component. <br><br> \
-Install the source code if you wish to make modifications to your copy of Greenstone3, or just <br> \
-want to see how it works. \
-</html>
-
-Installing_ImageMagick.displayText = ImageMagick (@bundled.version.imagemagick@)
-Installing_ImageMagick.explanatoryText = \
-<html> \
-Greenstone uses ImageMagick to process images. If you have ImageMagick on your computer already,<br> \
-or if you don't wish to include images in Greenstone collections, then you may choose not to<br> \
-install ImageMagick. \
-</html>
-
-Installing_Ghostscript.displayText = GhostScript (@bundled.version.ghostscript@)
-Installing_Ghostscript.explanatoryText = \
-<html> \
-Greenstone uses GhostScript to process PDF and PostScript files.<br> \
-If you have Ghostscript on your computer already, or if you don't wish to include images in<br> \
-Greenstone collections, then you may choose not to install Ghostscript. \
-</html>
-
-Installing_Start_Menu_Shortcuts.displayText = Start Menu Shortcuts
-Installing_Start_Menu_Shortcuts.explanatoryText = Create shortcuts to Greenstone on your Start Menu
-
-#admin password page
-page.admin-password.displayText = Please set the Admin Password
-admin.password.displayText = Admin Password
-admin-password-expl.displayText = In order to access certain parts of the Greenstone interface you need a password. A user with the username 'admin' will be created for you with the password you provide. The password must be between three and eight characters long.
-
-# progress page
-page.progress.displayText = Installation progress
-
-finishButtonText = Install
-
-
-# AntInstaller builtin stuff
-
-dirNotExistCreate=The folder does not exist, create it?
-dirNotExist=The folder does not exist
-fileNotExist=The file does not exist
-dirNotCreated=The folder could not be created
-canNotCreateFile=Can not create file
-appRootInvalid=This folder does not appear to be the root of the application
-selectFile=Select File
-selectFolder=Select Folder
-browseDotDotDot=Browse...
-notValidSelection=Not a valid selection
-showDetails=Show Details
-
-#Default loading
-promptLoadDefaults=Installation configujration found. Load the existing configuration?
-promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
-
-click=Click
-toContinue=to continue
-failed=Failed
-exit=Exit
-complete=Complete
-finished=Finished
-extracting=Extracting...
-installFinished=Install Finished
-running=
-
-backButton=Back
-cancelButton=Cancel
-nextButton=Next
-
-output=Output
-errors=Errors
-notCorrectFormat=The field is not of the correct format
-notCorrectPasswordFormat=The password is not of the correct format
-passwordsDoNotMatch=The passwords do not match
-installationFailed=Install failed
-propertiesVersionMismatch=Some options are missing from the previous version and must be manually entered, continue?
-
-install-cancelled=Install Cancelled
-Finished=Finished
-Failed=Failed, view the error messages
-ant.failure=Ant run failed - examine the error logs for details
-
-#Text for license page buttons
-license.next.text=Accept
-license.cancel.text=Reject
-
Index: lease-kits/shared/greenstone2/installer-classes/resources/LanguagePack_de.properties
===================================================================
--- /release-kits/shared/greenstone2/installer-classes/resources/LanguagePack_de.properties	(revision 17676)
+++ 	(revision )
@@ -1,48 +1,0 @@
-#org.tp23.antinstaller.renderer.Res
-#Wed Nov 10 01:06:42 CET 2004
-
-dirNotExistCreate=Das Verzeichnis existiert nicht, erzeugen?
-dirNotExist=Das Verzeichnis existiert nicht
-fileNotExist=Die Datei existiert nicht
-dirNotCreated=Das Verzeichnis konnte nicht erzeugt werden
-canNotCreateFile=Kann die Datei nicht erzeugen
-appRootInvalid=Das Verzeichnis scheint nicht das Wurzelverzeichnis der Applikation zu sein
-selectFile=Datei auswählen
-selectFolder=Verzeichnis auswählen
-notValidSelection=Keine gültige Auswahl
-showDetails=Details anzeigen
-
-#Default loading
-promptLoadDefaults=Installation configuration found. Load the existing configuration?
-promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
-
-click=Klicken
-toContinue=zum Fortfahren
-failed=fehlgeschlagen
-exit=Beenden
-complete=Fertigstellen
-finished=abgeschlossen
-extracting=Auspacken ...
-installFinished=Installation beendet
-running=Ausführung:
-
-backButton=Zurück
-cancelButton=Abbrechen
-nextButton=Weiter
-
-output=Ausgabe
-errors=Fehler
-notCorrectFormat=Der Wert hat nicht das vorgegebene Format
-notCorrectPasswordFormat=Das Kennwort hat nicht das vorgegebene Format
-passwordsDoNotMatch=The passwords do not match
-installationFailed=Installation fehlgeschlagen
-propertiesVersionMismatch=Some properties are missing from and must be manually entered, continue?
-
-Finished=Fertig
-Failed=Fehlgeschlagen, Details siehe Fehlermeldungen
-ant.failure=Ant run failed - examine the error logs for details
-
-#Text for license page buttons
-license.next.text=Accept
-license.cancel.text=Reject
-
Index: lease-kits/shared/greenstone2/installer-classes/resources/LanguagePack_es.properties
===================================================================
--- /release-kits/shared/greenstone2/installer-classes/resources/LanguagePack_es.properties	(revision 17676)
+++ 	(revision )
@@ -1,47 +1,0 @@
-#org.tp23.antinstaller.renderer.Res
-#Wed Nov 10 01:06:42 CET 2004
-
-dirNotExistCreate=El directorio no existe, quieres crearlo?
-dirNotExist=El directorio no existe.
-fileNotExist=El fichero no existe.
-dirNotCreated=El directorio no se ha creado.
-canNotCreateFile=No se puede crear el fichero.
-appRootInvalid=Este directorio no parece ser la raiz de la aplicaciòn.
-selectFile=Seleccionar fichero.
-selectFolder=Seleccionar carpeta.
-notValidSelection=No es una opciòn vàlida.
-showDetails=Enseñar detalles.
-
-#Default loading
-promptLoadDefaults=Configuracion de instalaciòn encontrada. Carga configuraciòn?
-promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
-
-click=Click
-toContinue=Para continuar
-failed= Intento Fallido
-exit=Salir
-complete=Completar
-finished=Terminado
-extracting=Extrayendo...
-installFinished=Se ha terminado la instalaciòn
-running=Ejecutando:
-
-backButton=Atras
-cancelButton=Cancelar
-nextButton=Proxima
-
-output=Salida
-errors=Errores
-notCorrectFormat=El fichero no tiene un formato adecuado.
-notCorrectPasswordFormat=El fichero no tiene un formato adecuado.
-passwordsDoNotMatch=Las contraseñas tienen que ser iguales
-installationFailed=Instalaciòn fallado
-propertiesVersionMismatch=Faltan datos del versión anterior, continuar y entrar los manualmente?
-
-Finished=Terminado
-Failed=Intento fallido, enseñar mensajes de error
-ant.failure=Ant run failed - examine the error logs for details
-
-#Text for license page buttons
-license.next.text=Aceptar
-license.cancel.text=Cancellar
Index: lease-kits/shared/greenstone2/installer-classes/resources/LanguagePack_es_EU.properties
===================================================================
--- /release-kits/shared/greenstone2/installer-classes/resources/LanguagePack_es_EU.properties	(revision 17676)
+++ 	(revision )
@@ -1,47 +1,0 @@
-#org.tp23.antinstaller.renderer.Res
-#Wed Nov 10 01:06:42 CET 2004
-
-dirNotExistCreate=Direktorioa ez da existitzen, sortu nahi al duzu?
-dirNotExist=Direktorioa ez da existitzen.
-fileNotExist=Fitxategia ez da existitzen.
-dirNotCreated=Ezin izan da direktorioa sortu.
-canNotCreateFile=Fitxategia ezin da sortu.
-appRootInvalid=Ez dirutdi direktorio hay aplikazioaren erroa denik.
-selectFile=Fitxategia aukeratu.
-selectFolder=karpeta aukeratu.
-notValidSelection=Ez da aukera onargarria.
-showDetails=Erakutsi xehetasunak.
-
-#Default loading
-promptLoadDefaults=Instalazio konfigurazio bat aurkituta. Kargatu instalazioa?
-promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
-
-click=Sakatu
-toContinue=Jarraitzeko
-failed=Hutsegitea
-exit=Atera
-complete=Bukatu
-finished=Bukatuta
-extracting=Ateratzen...
-installFinished=Instalazioa bukatuta.
-running=Exekutatzen:
-
-backButton=Atzera
-cancelButton=Ezeztatu
-nextButton=Hurrengoa
-
-output=Irteera
-errors=Akatsak
-notCorrectFormat=Fitxategia ez da formatu egokikoa.
-notCorrectPasswordFormat=Fitxategia ez da formatu egokikoa.
-passwordsDoNotMatch=Pasa hitzak berdinak izan behar dira 
-installationFailed=Instalaciòn fallado
-propertiesVersionMismatch=Faltan datos del versión anterior, continuar y entrar los manualmente?
-
-Finished=Bukatuta
-Failed=Huts egin da, erakutsi akats mezuak
-ant.failure=Ant run failed - examine the error logs for details
-
-#Text for license page buttons
-license.next.text=Aceptar
-license.cancel.text=Cancellar
Index: lease-kits/shared/greenstone2/installer-classes/resources/LanguagePack_zh.properties
===================================================================
--- /release-kits/shared/greenstone2/installer-classes/resources/LanguagePack_zh.properties	(revision 17676)
+++ 	(revision )
@@ -1,130 +1,0 @@
-finishButtonText = (Chinese)  ç»¿å®ç³èœ¯ä»¶
-page.intro.displayText = (Chinese) ç»¿å®ç³èœ¯ä»¶
-
-# intro page
-page.intro.displayText = (Chinese) Greenstone @version@ installer
-welcome-message.displayText = (Chinese) This will install the Greenstone2 (version @version@) Digital Library Software onto you computer. Greenstone2 is a software package for building digital libraries and hosting them online.
-
-# license page
-page.license.displayText = (Chinese) License conditions
-
-
-# destination page
-page.destination.displayText = (Chinese) Install Destination
-installDir.displayText = (Chinese) Select an installation directory
-
-
-# selector page
-page.selector.displayText = (Chinese) Components to install
-choose-components.displayText = (Chinese) Choose the components you want to install
-
-install-core-components.displayText = (Chinese) Core components
-install-core-components.explanatoryText = (Chinese) \
-<html> \
-This is the core Greenstone2 system. It is a required component. \
-</html>
-
-install-windows-jre.displayText = (Chinese) Java Runtime Environment (@bundled.version.windows-java@)
-install-linux-jre.displayText = (Chinese) Java Runtime Environment (@bundled.version.linux-java@)
-install-jre.explanatoryText = (Chinese) \
-<html> \
-Some of Greenstone2 is written in the Java programming language, and so requires <br> \
-a Java Runtime Environment to run (@java.min.version@ or greater). <br><br> \
-This installer comes bundled with a recent Java Runtime Environment (version @bundled.version.java@),<br> \
-which you can choose to install if you don't have a sutible Java Runtime Environment installed already.<br><br> \
-If in doubt, install this component. \
-</html>
-
-install-source-code.displayText = (Chinese) Source code
-install-source-code.explanatoryText = (Chinese) \
-<html> \
-The source code is a purely optional component. <br><br> \
-Install the source code if you wish to make modifications to your copy of Greenstone3, or just <br> \
-want to see how it works. \
-</html>
-
-install-imagemagick.displayText = (Chinese) ImageMagick (@bundled.version.imagemagick@)
-install-imagemagick.explanatoryText = (Chinese) \
-<html> \
-Greenstone uses ImageMagick to process images. If you have ImageMagick on your computer already,<br> \
-or if you don't wish to include images in Greenstone collections, then you may choose not to<br> \
-install ImageMagick. \
-</html>
-
-install-ghostscript.displayText = (Chinese) GhostScript (@bundled.version.ghostscript@)
-install-ghostscript.explanatoryText = (Chinese) \
-<html> \
-Greenstone uses GhostScript to process PDF and PostScript files.<br> \
-then you may choose not to install ImageMagick. \
-</html>
-
-install-start-menu-shortcuts.displayText = (Chinese) Start Menu Shortcuts
-install-start-menu-shortcuts.explanatoryText = (Chinese) Create shortcuts to Greenstone on your Start Menu
-
-#language page
-page.language-selector.displayText = (Chinese) Please choose you language
-language.displayText = (Chinese) Language
-
-choose-language.displayText = (Chinese) Please select your preferred core language
-
-#admin password page
-page.admin-password.displayText = (Chinese) Please set the Admin Password
-admin.password.displayText = (Chinese) Admin Password
-admin-password-expl.displayText = (Chinese) In order to access certain parts of the Greenstone interface you need a password. A user with the username 'admin' will be created for you with the password you provide. The password must be between three and eight characters long.
-
-
-# progress page
-page.progress.displayText = (Chinese) Installation progress
-
-finishButtonText = (Chinese) Install
-
-
-# AntInstaller builtin stuff
-
-dirNotExistCreate=The Directory does not exist, create it?
-dirNotExist=The Directory does not exist
-fileNotExist=The File does not exist
-dirNotCreated=The Directory could not be created
-canNotCreateFile=Can not create file
-appRootInvalid=This directory does not appear to be the root of the application
-selectFile=Select File
-selectFolder=Select Folder
-notValidSelection=Not a valid selection
-showDetails=Show Details
-
-#Default loading
-promptLoadDefaults=Installation configujration found. Load the existing configuration?
-promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
-
-click=Click
-toContinue=to continue
-failed=Failed
-exit=Exit
-complete=Complete
-finished=Finished
-extracting=Extracting...
-installFinished=Install Finished
-running=Running:
-
-backButton=Back
-cancelButton=Cancel
-nextButton=Next
-
-
-output=Output
-errors=Errors
-notCorrectFormat=The field is not of the correct format
-notCorrectPasswordFormat=The password is not of the correct format
-passwordsDoNotMatch=The passwords do not match
-installationFailed=Install failed
-propertiesVersionMismatch=Some options are missing from the previous version and must be manually entered, continue?
-
-install-cancelled=Install Cancelled
-Finished=Finished
-Failed=Failed, view the error messages
-ant.failure=Ant run failed - examine the error logs for details
-
-#Text for license page buttons
-license.next.text=Accept
-license.cancel.text=Reject
-