Index: release-kits/shared/greenstone3/installer-classes/resources/LanguagePack.properties
===================================================================
--- release-kits/shared/greenstone3/installer-classes/resources/LanguagePack.properties	(revision 17677)
+++ 	(revision )
@@ -1,152 +1,0 @@
-#language page
-page.language-selector.displayText = Language
-language-selector-explanation.displayText = Please choose your preferred language (Note: This installer has not been fully translated into all these languages yet)
-
-# intro page
-page.intro.displayText = Greenstone @version@ installer
-welcome-message.displayText = Greenstone3 is software for building and sharing digital libraries.\n\nIt is recommended that you uninstall any previous installations of Greenstone3 before running this installer.
-
-# license page
-page.license.displayText = License conditions
-#NOTE: add this comment to license page:
-#comment: Greenstone3 is licensed under the GNU GPL v2
-
-# destination page
-page.destination.displayText = Install Destination
-installDir.displayText = Select an installation folder
-
-# IS install detected page
-page.dontBudge.displayText = Previous Install Detected
-is-install-detected.displayText = InstallShield Greenstone installation detected in the destination folder. Cannot proceed.\n\nGo back and choose another destination folder or uninstall the existing Greenstone installation.
-
-# selector page
-page.selector.displayText = Components
-choose-components.displayText = Choose the components you want to install
-
-Looking_For_Previous_Installation.displayText = x
-Looking_For_Previous_Installation.explanatoryText = x
-
-Installing_Core_System.displayText = Core System
-Installing_Core_System.explanatoryText = \
-<html> \
-This is the core Greenstone3 system. It is a required component. \
-</html>
-
-Installing_Source_Code_Core.displayText = Source Code Core
-Installing_Source_Code_Core.explanatoryText = \
-<html> \
-This is the core Greenstone3 system for source releases. It includes supporting files to accompany the source code. \
-</html>
-
-
-Installing_Tomcat.displayText = Apache Tomcat (@bundled.version.tomcat@)
-Installing_Tomcat.explanatoryText = \
-<html> \
-Greenstone3 requires the Apache Tomcat web server to serve your digital library over <br> \
-the web. If you have an existing installation of Tomcat, you can use that installation <br> \
-(some configuration is required), so you can safely opt not to install this component. \
-</html>
-
-Installing_Ant.displayText = Apache Ant (@bundled.version.ant@)
-Installing_Ant.explanatoryText = \
-<html> \
-Greenstone3 requires Apache Ant to start and stop the Tomcat web server, to recompile <br> \
-the source code, and to perform some maintainence tasks. If you already have Ant installed, <br> \
-you can safely opt not to install this component. \
-</html>
-
-Installing_ImageMagick.displayText = ImageMagick (@bundled.version.imagemagick@)
-Installing_ImageMagick.explanatoryText = \
-<html> \
-Greenstone uses ImageMagick to process images. If you have ImageMagick on your computer already,<br> \
-or if you don't wish to include images in Greenstone collections, then you may choose not to<br> \
-install ImageMagick. \
-</html>
-
-Installing_Ghostscript.displayText = GhostScript (@bundled.version.ghostscript@)
-Installing_Ghostscript.explanatoryText = \
-<html> \
-Greenstone uses GhostScript to process PDF and PostScript files.<br> \
-If you have Ghostscript on your computer already, or if you don't wish to include images in<br> \
-Greenstone collections, then you may choose not to install Ghostscript. \
-</html>
-
-Installing_Source_Code.displayText = Source code
-Installing_Source_Code.explanatoryText = \
-<html> \
-The source code is an optional component. Install the source code if you wish to make modifications <br> \
-to your copy of Greenstone3, or just want to see how it works. \
-</html>
-
-Installing_Start_Menu_Shortcuts.displayText = Start Menu Shortcuts
-Installing_Start_Menu_Shortcuts.explanatoryText = Create shortcuts to Greenstone on your Start Menu
-
-# tomcat-config page
-
-page.tomcat-config.displayText = Apache Tomcat Configuration
-
-tomcat-config-explanation1.displayText = Greenstone3 uses Apache Tomcat to share your digital libraries.
-tomcat-config-explanation2.displayText = You can either configure Tomcat here, or by editing the build.properties file in the Greenstone3 home folder (${installDir}).
-
-tomcat.server.displayText = Tomcat Server
-tomcat-server.explanatoryText = Please enter the name of the server machine where the library will be hosted. If you are not sure, accept the default (localhost).
-
-tomcat.port.explanatoryText = Please select the ports which tomcat should use. It is usually safe to accept the defaults. If you are already running other services on the default ports, please select some free ports.
-tomcat.port.displayText = Tom	cat Port
-tomcat.shutdown.port.displayText = Tomcat Shutdown Port
-
-
-# progress page
-page.progress.displayText = Installation progress
-
-finishButtonText = Install
-
-
-# AntInstaller builtin stuff
-
-dirNotExistCreate=The Folder does not exist, create it?
-dirNotExist=The Folder does not exist
-fileNotExist=The File does not exist
-dirNotCreated=The Folder could not be created
-canNotCreateFile=Can not create file
-appRootInvalid=This Folder does not appear to be the root of the application
-selectFile=Select File
-selectFolder=Select Folder
-notValidSelection=Not a valid selection
-showDetails=Show Details
-
-#Default loading
-promptLoadDefaults=Installation configuration found. Load the existing configuration?
-promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
-
-click=Click
-toContinue=to continue
-failed=Failed
-exit=Exit
-complete=Complete
-finished=Finished
-extracting=Extracting...
-installFinished=Install Finished
-install-cancelled=Install Cancelled
-running=
-browseDotDotDot=Browse...
-
-backButton=Back
-cancelButton=Cancel
-nextButton=Next
-
-output=Output
-errors=Errors
-notCorrectFormat=The field is not of the correct format
-notCorrectPasswordFormat=The password is not of the correct format
-passwordsDoNotMatch=The passwords do not match
-installationFailed=Install failed
-propertiesVersionMismatch=Some options are missing from the previous version and must be manually entered, continue?
-
-Finished=Finished
-Failed=Failed, view the error messages
-ant.failure=Ant run failed - examine the error logs for details
-
-#Text for license page buttons
-license.next.text=Accept
-license.cancel.text=Reject
Index: release-kits/shared/greenstone3/installer-classes/resources/LanguagePack_de.properties
===================================================================
--- release-kits/shared/greenstone3/installer-classes/resources/LanguagePack_de.properties	(revision 17677)
+++ 	(revision )
@@ -1,48 +1,0 @@
-#org.tp23.antinstaller.renderer.Res
-#Wed Nov 10 01:06:42 CET 2004
-
-dirNotExistCreate=Das Verzeichnis existiert nicht, erzeugen?
-dirNotExist=Das Verzeichnis existiert nicht
-fileNotExist=Die Datei existiert nicht
-dirNotCreated=Das Verzeichnis konnte nicht erzeugt werden
-canNotCreateFile=Kann die Datei nicht erzeugen
-appRootInvalid=Das Verzeichnis scheint nicht das Wurzelverzeichnis der Applikation zu sein
-selectFile=Datei auswählen
-selectFolder=Verzeichnis auswählen
-notValidSelection=Keine gültige Auswahl
-showDetails=Details anzeigen
-
-#Default loading
-promptLoadDefaults=Installation configuration found. Load the existing configuration?
-promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
-
-click=Klicken
-toContinue=zum Fortfahren
-failed=fehlgeschlagen
-exit=Beenden
-complete=Fertigstellen
-finished=abgeschlossen
-extracting=Auspacken ...
-installFinished=Installation beendet
-running=Ausführung:
-
-backButton=Zurück
-cancelButton=Abbrechen
-nextButton=Weiter
-
-output=Ausgabe
-errors=Fehler
-notCorrectFormat=Der Wert hat nicht das vorgegebene Format
-notCorrectPasswordFormat=Das Kennwort hat nicht das vorgegebene Format
-passwordsDoNotMatch=The passwords do not match
-installationFailed=Installation fehlgeschlagen
-propertiesVersionMismatch=Some properties are missing from and must be manually entered, continue?
-
-Finished=Fertig
-Failed=Fehlgeschlagen, Details siehe Fehlermeldungen
-ant.failure=Ant run failed - examine the error logs for details
-
-#Text for license page buttons
-license.next.text=Accept
-license.cancel.text=Reject
-
Index: release-kits/shared/greenstone3/installer-classes/resources/LanguagePack_es.properties
===================================================================
--- release-kits/shared/greenstone3/installer-classes/resources/LanguagePack_es.properties	(revision 17677)
+++ 	(revision )
@@ -1,47 +1,0 @@
-#org.tp23.antinstaller.renderer.Res
-#Wed Nov 10 01:06:42 CET 2004
-
-dirNotExistCreate=El directorio no existe, quieres crearlo?
-dirNotExist=El directorio no existe.
-fileNotExist=El fichero no existe.
-dirNotCreated=El directorio no se ha creado.
-canNotCreateFile=No se puede crear el fichero.
-appRootInvalid=Este directorio no parece ser la raiz de la aplicaciòn.
-selectFile=Seleccionar fichero.
-selectFolder=Seleccionar carpeta.
-notValidSelection=No es una opciòn vàlida.
-showDetails=Enseñar detalles.
-
-#Default loading
-promptLoadDefaults=Configuracion de instalaciòn encontrada. Carga configuraciòn?
-promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
-
-click=Click
-toContinue=Para continuar
-failed= Intento Fallido
-exit=Salir
-complete=Completar
-finished=Terminado
-extracting=Extrayendo...
-installFinished=Se ha terminado la instalaciòn
-running=Ejecutando:
-
-backButton=Atras
-cancelButton=Cancelar
-nextButton=Proxima
-
-output=Salida
-errors=Errores
-notCorrectFormat=El fichero no tiene un formato adecuado.
-notCorrectPasswordFormat=El fichero no tiene un formato adecuado.
-passwordsDoNotMatch=Las contraseñas tienen que ser iguales
-installationFailed=Instalaciòn fallado
-propertiesVersionMismatch=Faltan datos del versión anterior, continuar y entrar los manualmente?
-
-Finished=Terminado
-Failed=Intento fallido, enseñar mensajes de error
-ant.failure=Ant run failed - examine the error logs for details
-
-#Text for license page buttons
-license.next.text=Aceptar
-license.cancel.text=Cancellar
Index: release-kits/shared/greenstone3/installer-classes/resources/LanguagePack_es_EU.properties
===================================================================
--- release-kits/shared/greenstone3/installer-classes/resources/LanguagePack_es_EU.properties	(revision 17677)
+++ 	(revision )
@@ -1,47 +1,0 @@
-#org.tp23.antinstaller.renderer.Res
-#Wed Nov 10 01:06:42 CET 2004
-
-dirNotExistCreate=Direktorioa ez da existitzen, sortu nahi al duzu?
-dirNotExist=Direktorioa ez da existitzen.
-fileNotExist=Fitxategia ez da existitzen.
-dirNotCreated=Ezin izan da direktorioa sortu.
-canNotCreateFile=Fitxategia ezin da sortu.
-appRootInvalid=Ez dirutdi direktorio hay aplikazioaren erroa denik.
-selectFile=Fitxategia aukeratu.
-selectFolder=karpeta aukeratu.
-notValidSelection=Ez da aukera onargarria.
-showDetails=Erakutsi xehetasunak.
-
-#Default loading
-promptLoadDefaults=Instalazio konfigurazio bat aurkituta. Kargatu instalazioa?
-promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
-
-click=Sakatu
-toContinue=Jarraitzeko
-failed=Hutsegitea
-exit=Atera
-complete=Bukatu
-finished=Bukatuta
-extracting=Ateratzen...
-installFinished=Instalazioa bukatuta.
-running=Exekutatzen:
-
-backButton=Atzera
-cancelButton=Ezeztatu
-nextButton=Hurrengoa
-
-output=Irteera
-errors=Akatsak
-notCorrectFormat=Fitxategia ez da formatu egokikoa.
-notCorrectPasswordFormat=Fitxategia ez da formatu egokikoa.
-passwordsDoNotMatch=Pasa hitzak berdinak izan behar dira 
-installationFailed=Instalaciòn fallado
-propertiesVersionMismatch=Faltan datos del versión anterior, continuar y entrar los manualmente?
-
-Finished=Bukatuta
-Failed=Huts egin da, erakutsi akats mezuak
-ant.failure=Ant run failed - examine the error logs for details
-
-#Text for license page buttons
-license.next.text=Aceptar
-license.cancel.text=Cancellar
Index: release-kits/shared/greenstone3/installer-classes/resources/LanguagePack_zh.properties
===================================================================
--- release-kits/shared/greenstone3/installer-classes/resources/LanguagePack_zh.properties	(revision 17677)
+++ 	(revision )
@@ -1,29 +1,0 @@
-### Ant Installer - language pack auto generated on Wed Mar 12 13:57:47 NZDT 2008
-
-finishButtonText =  ç»¿å®ç³èœ¯ä»¶
-
-
-## Text from Page:intro
-page.intro.displayText = ç»¿å®ç³èœ¯ä»¶
-
-## Text from Page:license
-page.license.displayText = License conditions
-
-## Text from Page:destination
-page.destination.displayText = Install Destination
-installDir.displayText = Select an installation directory
-
-## Text from Page:tomcatports
-page.tomcatports.displayText = Tomcat Ports
-comment.2.displayText = Please select the ports which the web server (Apache Tomcat) will use  will use. It is usually safe to accept the defaults by just clicking Next. The exception is when you are running other services on these ports - if this is the case, select some free ports and click Next.
-tomcat.port.displayText = Tomcat Port
-tomcat.shutdown.port.displayText = Tomcat Shutdown Port
-
-## Text from Page:selector
-page.selector.displayText = Components to install
-comment.5.displayText = Choose the components you want to install
-default.displayText = Core components
-tgsrc.displayText = Source code
-
-## Text from Page:progress
-page.progress.displayText = Installation progress