Index: /release-kits/lirk2/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/lirk2/ant-scripts/create-installer.xml	(revision 17696)
+++ /release-kits/lirk2/ant-scripts/create-installer.xml	(revision 17697)
@@ -4,5 +4,5 @@
 	<target name="create-installer">
 		<antcall target="copy-installer-files"/>
-		<antcall target="make-installer-files-concrete"><param name="java.os" value="linux"/></antcall> <!-- from rk2-targets -->
+		<antcall target="make-installer-files-concrete"><param name="java.os" value="linux"/></antcall> <!-- from init -->
 		<antcall target="compile-binary-installer"/> <!-- from init -->
 		<antcall target="compile-minimal-installer"/> <!-- from init -->
@@ -10,11 +10,7 @@
 	</target>
 
-	<target name="copy-installer-files">
+	<target name="copy-installer-files" depends="copy-main-installer-files"> <!-- from init -->
 
-		<mkdir dir="${basedir}/installer/classes"/>
-		<copy todir="${basedir}/installer" file="${lirk2.home}/installer/antinstall-config.xml" overwrite="true"/>
-		<copy todir="${basedir}/installer" file="${lirk2.home}/installer/build.xml" overwrite="true"/>
 		<copy todir="${basedir}/installer/classes" overwrite="true">
-			<fileset dir="${lirk2.home}/greenstone2/installer-classes"/>
 			<fileset file="${basedir}/distributions/web/LICENSE.txt"/>
 		</copy>
@@ -28,4 +24,5 @@
 		<unjar src="${lirk2.home}/lib/crypt.jar" dest="${basedir}/installer/classes"/>
 		<delete dir="${basedir}/installer/classes/META-INF"/>
+
 	</target>
 
Index: /release-kits/lirk3/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/create-installer.xml	(revision 17696)
+++ /release-kits/lirk3/ant-scripts/create-installer.xml	(revision 17697)
@@ -4,18 +4,13 @@
 	<target name="create-installer">
 		<antcall target="copy-installer-files"/>
-		<antcall target="make-installer-files-concrete"><param name="java.os" value="linux"/></antcall> <!-- from rk3-targets -->
+		<antcall target="make-installer-files-concrete"><param name="java.os" value="linux"/></antcall> <!-- from init -->
 		<antcall target="compile-binary-installer"/> <!-- from init -->
 		<antcall target="compile-minimal-installer"/> <!-- from init -->
 		<antcall target="compile-source-installer"/> <!-- from init -->
-
 	</target>
 
-	<target name="copy-installer-files">
+	<target name="copy-installer-files" depends="copy-main-installer-files"> <!-- from init -->
 
-		<mkdir dir="${basedir}/installer/resources"/>
-		<copy todir="${basedir}/installer" file="${lirk3.home}/installer/antinstall-config.xml" overwrite="true" />
-		<copy todir="${basedir}/installer" file="${lirk3.home}/installer/build.xml" overwrite="true" />
 		<copy todir="${basedir}/installer/classes" overwrite="true">
-			<fileset dir="${lirk3.home}/greenstone3/installer-classes"/>
 			<fileset file="${basedir}/distribution/greenstone3/LICENSE.txt"/>
 		</copy>
Index: /release-kits/mark2/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/mark2/ant-scripts/create-installer.xml	(revision 17696)
+++ /release-kits/mark2/ant-scripts/create-installer.xml	(revision 17697)
@@ -4,5 +4,5 @@
 	<target name="create-installer">
 		<antcall target="copy-installer-files"/>
-		<antcall target="make-installer-files-concrete"/> <!-- from rk2-targets -->
+		<antcall target="make-installer-files-concrete"/>  <!-- from init -->
 		<antcall target="compile-binary-installer"/> <!-- from init -->
 		<antcall target="compile-minimal-installer"/> <!-- from init -->
@@ -10,10 +10,7 @@
 	</target>
 
-	<target name="copy-installer-files">
-		<mkdir dir="${basedir}/installer/classes"/>
-		<copy todir="${basedir}/installer" file="${mark2.home}/installer/antinstall-config.xml" overwrite="true"/>
-		<copy todir="${basedir}/installer" file="${mark2.home}/installer/build.xml" overwrite="true"/>
+	<target name="copy-installer-files" depends="copy-main-installer-files"> <!-- from init -->
+
 		<copy todir="${basedir}/installer/classes" overwrite="true">
-			<fileset dir="${mark2.home}/greenstone2/installer-classes"/>
 			<fileset file="${basedir}/distributions/web/LICENSE.txt" /> 
 		</copy>
Index: /release-kits/mark3/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/mark3/ant-scripts/create-installer.xml	(revision 17696)
+++ /release-kits/mark3/ant-scripts/create-installer.xml	(revision 17697)
@@ -4,5 +4,5 @@
 	<target name="create-installer">
 		<antcall target="copy-installer-files"/>
-		<antcall target="make-installer-files-concrete"/> <!-- from rk3-targets -->
+		<antcall target="make-installer-files-concrete"/> <!-- from init -->
 		<antcall target="compile-binary-installer"/> <!-- from init -->
 		<antcall target="compile-minimal-installer"/> <!-- from init -->
@@ -10,11 +10,10 @@
 	</target>
 
-	<target name="copy-installer-files">
-		<copy todir="${basedir}/installer" file="${mark3.home}/installer/antinstall-config.xml" overwrite="true" />
-		<copy todir="${basedir}/installer" file="${mark3.home}/installer/build.xml" overwrite="true" />
+	<target name="copy-installer-files" depends="copy-main-installer-files"> <!-- from init -->
+
 		<copy todir="${basedir}/installer/classes" overwrite="true">
-			<fileset dir="${mark3.home}/greenstone3/installer-classes"/>
 			<fileset file="${basedir}/distribution/greenstone3/LICENSE.txt" /> 
 		</copy>
+
 		<unjar src="${mark3.home}/ant-scripts/tasks/greenstone/anttasks.jar" dest="${basedir}/installer/classes"/>
 		<delete dir="${basedir}/installer/classes/META-INF"/>
Index: /release-kits/wirk2/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/wirk2/ant-scripts/create-installer.xml	(revision 17696)
+++ /release-kits/wirk2/ant-scripts/create-installer.xml	(revision 17697)
@@ -4,5 +4,5 @@
 	<target name="create-installer">
 		<antcall target="copy-installer-files"/>
-		<antcall target="make-installer-files-concrete"><param name="java.os" value="windows"/></antcall> <!-- from rk2-targets -->
+		<antcall target="make-installer-files-concrete"><param name="java.os" value="windows"/></antcall> <!-- from init -->
 		<antcall target="compile-binary-installer"/> <!-- from init -->
 		<antcall target="compile-minimal-installer"/> <!-- from init -->
@@ -10,12 +10,7 @@
 	</target>
 
-	<target name="copy-installer-files">
+	<target name="copy-installer-files" depends="copy-main-installer-files"> <!-- from init -->
 
-		<mkdir dir="${basedir}/installer/classes"/>
-		<copy todir="${basedir}/installer" file="${wirk2.home}/installer/antinstall-config.xml" overwrite="true"/>
-		<copy todir="${basedir}/installer" file="${wirk2.home}/installer/build.xml" overwrite="true"/>
 		<copy todir="${basedir}/installer/classes" overwrite="true">
-			<fileset dir="${wirk2.home}/greenstone2/installer-classes"/>
-			<fileset dir="${wirk2.home}/windows/installer-classes"/>
 			<fileset dir="${wirk2.home}/packages/7za" includes="7za.exe"/>
 			<fileset file="${basedir}/distributions/web/LICENSE.txt"/>
Index: /release-kits/wirk3/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/create-installer.xml	(revision 17696)
+++ /release-kits/wirk3/ant-scripts/create-installer.xml	(revision 17697)
@@ -4,5 +4,5 @@
 	<target name="create-installer">
 		<antcall target="copy-installer-files"/>
-		<antcall target="make-installer-files-concrete"><param name="java.os" value="windows"/></antcall> <!-- from rk3-targets -->
+		<antcall target="make-installer-files-concrete"><param name="java.os" value="windows"/></antcall> <!-- from init -->
 		<antcall target="compile-binary-installer"/> <!-- from init -->
 		<antcall target="compile-minimal-installer"/> <!-- from init -->
@@ -10,14 +10,8 @@
 	</target>
 
-	<target name="copy-installer-files">
+	<target name="copy-installer-files" depends="copy-main-installer-files"> <!-- from init -->
 
-		<!-- the installer descriptors -->
-		<copy todir="${basedir}/installer" file="${wirk3.home}/installer/antinstall-config.xml" overwrite="true" />
-		<copy todir="${basedir}/installer" file="${wirk3.home}/installer/build.xml" overwrite="true" />
-
-		<!-- the language files and other canned classes for the installer -->
+		<!-- some canned resources for the installer -->
 		<copy todir="${basedir}/installer/classes" overwrite="true">
-			<fileset dir="${wirk3.home}/windows/installer-classes"/>
-			<fileset dir="${wirk3.home}/greenstone3/installer-classes"/>
 			<fileset dir="${wirk3.home}/packages/7za" includes="7za.exe"/>
 			<fileset file="${basedir}/distribution/greenstone3/LICENSE.txt"/>