Index: release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml
===================================================================
--- release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml	(revision 17702)
+++ release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml	(revision 17703)
@@ -10,110 +10,23 @@
 <project name="rk2-targets">
 
-	<target name="make-installer-files-concrete">
-
-		<!-- calculate the size of some components -->
-		<echo>Calculating the size of some components</echo>
-
-		<!-- core greenstone2 system -->
-		<length property="component.bytesize.core-without-jre" mode="all"><fileset file="${basedir}/components/core.comp"/></length>
-		<if><bool><equals arg1="${java.os}" arg2="windows"/></bool>
-			<math result="component.bytesize.core" operand1="${component.bytesize.core-without-jre}" operation="+" operand2="${component.bytesize.windows-java}" datatype="int"/>
-		<else><if><bool><equals arg1="${java.os}" arg2="linux"/></bool>
-			<math result="component.bytesize.core" operand1="${component.bytesize.core-without-jre}" operation="+" operand2="${component.bytesize.linux-java}" datatype="int"/>
-		<else>
-			<property name="component.bytesize.core" value="${component.bytesize.core-without-jre}"/>
-		</else></if></else></if>
-		<math result="component.megabytesize.core" operand1="${component.bytesize.core}" operation="/" operand2="1048576" datatype="int"/>
-		<property name="component.size.core" value="${component.megabytesize.core} MB"/>
-
-		<!-- source code core -->
-		<length property="component.bytesize.sourcecode-core" mode="all"><fileset file="${basedir}/components/sourcecode-core.comp"/></length>
-		<math result="component.megabytesize.sourcecode-core" operand1="${component.bytesize.sourcecode-core}" operation="/" operand2="1048576" datatype="int"/>
-		<property name="component.size.sourcecode-core" value="${component.megabytesize.sourcecode-core} MB"/>
-
-		<!-- source code -->
-		<length property="component.bytesize.sourcecode" mode="all"><fileset file="${basedir}/components/sourcecode.comp"/></length>
-		<math result="component.megabytesize.sourcecode" operand1="${component.bytesize.sourcecode}" operation="/" operand2="1048576" datatype="int"/>
-		<property name="component.size.sourcecode" value="${component.megabytesize.sourcecode} MB"/>
-		
-		<!-- imagemagick -->
-		<length property="component.bytesize.imagemagick" mode="all"><fileset file="${basedir}/components/imagemagick.comp"/></length>
-		<math result="component.megabytesize.imagemagick" operand1="${component.bytesize.imagemagick}" operation="/" operand2="1048576" datatype="int"/>
-		<property name="component.size.imagemagick" value="${component.megabytesize.imagemagick} MB"/>
-		
-		<!-- ghostscript -->
-		<length property="component.bytesize.ghostscript" mode="all"><fileset file="${basedir}/components/ghostscript.comp"/></length>
-		<math result="component.megabytesize.ghostscript" operand1="${component.bytesize.ghostscript}" operation="/" operand2="1048576" datatype="int"/>
-		<property name="component.size.ghostscript" value="${component.megabytesize.ghostscript} MB"/>
-		
-		<!-- put the concrete values of things in the config -->
-		<rsr file="${basedir}/installer/antinstall-config.xml">
-			<job pattern="@version@" replacement="${version}"/>
-			<job pattern="@component.size.core@" replacement="${component.size.core}"/>
-			<job pattern="@component.size.sourcecode-core@" replacement="${component.size.sourcecode-core}"/>
-			<job pattern="@component.size.sourcecode@" replacement="${component.size.sourcecode}"/>
-			<job pattern="@component.size.imagemagick@" replacement="${component.size.imagemagick}"/>
-			<job pattern="@component.size.ghostscript@" replacement="${component.size.ghostscript}"/>
-		</rsr>
-
-		<rsr file="${basedir}/installer/build.xml">
-			<job pattern="@version@" replacement="${version}"/>
-			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<job pattern="@windows-java.extracted@" replacement="${windows-java.extracted}"/>
-			<job pattern="@linux-java.extracted@" replacement="${linux-java.extracted}"/>
-		</rsr>
-
-		<!-- put the concrete values of things in the text -->
-		<!-- default -->
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties">
-			<job pattern="@version@" replacement="${version}"/>
-			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<job pattern="@bundled.version.windows-java@" replacement="${bundled.version.windows-java}"/>
-			<job pattern="@bundled.version.linux-java@" replacement="${bundled.version.linux-java}"/>
-			<job pattern="@bundled.version.ghostscript@" replacement="${bundled.version.ghostscript}"/>
-			<job pattern="@bundled.version.imagemagick@" replacement="${bundled.version.imagemagick}"/>
-		</rsr>
-
-		<!-- chinese -->
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh.properties">
-			<job pattern="@version@" replacement="${version}"/>
-			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<job pattern="@bundled.version.windows-java@" replacement="${bundled.version.windows-java}"/>
-			<job pattern="@bundled.version.linux-java@" replacement="${bundled.version.linux-java}"/>
-			<job pattern="@bundled.version.ghostscript@" replacement="${bundled.version.ghostscript}"/>
-			<job pattern="@bundled.version.imagemagick@" replacement="${bundled.version.imagemagick}"/>
-		</rsr>
-
-	</target>
-
-<!--
-	<target name="compile-search4j-unix">
-		<copy todir="${basedir}/gsdl"><fileset dir="${rk.home}/packages" includes="search4j/**/*"/></copy>
-		<chmod perm="ug+x" file="${basedir}/gsdl/search4j/compile.sh"/>
-		<exec dir="${basedir}/gsdl/search4j" executable="${basedir}/gsdl/search4j/compile.sh"/>
-		<move file="${basedir}/gsdl/search4j/search4j" todir="${basedir}/gsdl/bin"/>
-		<chmod perm="ug+x" file="${basedir}/gsdl/bin/search4j"/>
-	</target>
-
-	<target name="compile-search4j-windows">
-		<copy todir="${basedir}/gsdl"><fileset dir="${rk.home}/packages" includes="search4j/**/*"/></copy>
-		<exec dir="${basedir}/gsdl/search4j" executable="${basedir}/gsdl/search4j/compile.bat"/>
-		<move file="${basedir}/gsdl/search4j/search4j.exe" todir="${basedir}/gsdl/bin"/>
-	</target>
--->
+	<property name="version.major" value="2"/>
 
 	<target name="compile-uninstaller">
 		<echo>Compiling Uninstaller</echo>
 
-		<mkdir dir="${basedir}/gsdl/uninstaller/build" />
+		<!-- create working build directory -->
+		<mkdir dir="${basedir}/gsdl/uninstaller/build/resources" />
 
+		<!-- copile to build -->
 		<javac
 			srcdir="${rk.home}/uninstaller"
 			destdir="${basedir}/gsdl/uninstaller/build" />
 
-		<copy todir="${basedir}/gsdl/uninstaller/build">
-			<fileset dir="${rk.home}/uninstaller" includes="*.properties"/>
+		<!-- copy language bundle into place -->
+		<copy todir="${basedir}/gsdl/uninstaller/build/resources" overwrite="true">
+			<fileset dir="${rk.home}/language-strings"/>
 		</copy>
 
+		<!-- jar it all up -->
 		<jar
 			destfile="${basedir}/gsdl/uninstaller/uninst.jar"