Index: release-kits/shared/greenstone3/ant-scripts/rk3-targets.xml
===================================================================
--- release-kits/shared/greenstone3/ant-scripts/rk3-targets.xml	(revision 17653)
+++ release-kits/shared/greenstone3/ant-scripts/rk3-targets.xml	(revision 17705)
@@ -10,127 +10,23 @@
 <project name="rk3-targets">
 
-	<target name="make-installer-files-concrete">
-
-		<!-- calculate the size of some components -->
-		<echo>Calculating the size of some components</echo>
-
-		<!-- core greenstone3 system -->
-		<length property="component.bytesize.core-without-jre" mode="all"><fileset file="${basedir}/components/core.comp"/></length>
-		<if><bool><equals arg1="${java.os}" arg2="windows"/></bool>
-			<math result="component.bytesize.core" operand1="${component.bytesize.core-without-jre}" operation="+" operand2="${component.bytesize.windows-java}" datatype="int"/>
-		<else><if><bool><equals arg1="${java.os}" arg2="linux"/></bool>
-			<math result="component.bytesize.core" operand1="${component.bytesize.core-without-jre}" operation="+" operand2="${component.bytesize.linux-java}" datatype="int"/>
-		<else>
-			<property name="component.bytesize.core" value="${component.bytesize.core-without-jre}"/>
-		</else></if></else></if>
-		<math result="component.megabytesize.core" operand1="${component.bytesize.core}" operation="/" operand2="1048576" datatype="int"/>
-		<property name="component.size.core" value="${component.megabytesize.core} MB"/>
-
-		<!-- source code core -->
-		<length property="component.bytesize.sourcecode-core" mode="all"><fileset file="${basedir}/components/sourcecode-core.comp"/></length>
-		<math result="component.megabytesize.sourcecode-core" operand1="${component.bytesize.sourcecode-core}" operation="/" operand2="1048576" datatype="int"/>
-		<property name="component.size.sourcecode-core" value="${component.megabytesize.sourcecode-core} MB"/>
-
-		<!-- source code -->
-		<length property="component.bytesize.sourcecode" mode="all"><fileset file="${basedir}/components/sourcecode.comp"/></length>
-		<math result="component.megabytesize.sourcecode" operand1="${component.bytesize.sourcecode}" operation="/" operand2="1048576" datatype="int"/>
-		<property name="component.size.sourcecode" value="${component.megabytesize.sourcecode} MB"/>
-
-		<!-- tomcat -->
-		<length property="component.bytesize.tomcat" mode="all"><fileset file="${basedir}/components/tomcat.comp"/></length>
-		<math result="component.megabytesize.tomcat" operand1="${component.bytesize.tomcat}" operation="/" operand2="1048576" datatype="int"/>
-		<property name="component.size.tomcat" value="${component.megabytesize.tomcat} MB"/>
-
-		<!-- ant -->
-		<length property="component.bytesize.ant" mode="all"><fileset file="${basedir}/components/ant.comp"/></length>
-		<math result="component.megabytesize.ant" operand1="${component.bytesize.ant}" operation="/" operand2="1048576" datatype="int"/>
-		<property name="component.size.ant" value="${component.megabytesize.ant} MB"/>
-
-		<!-- imagemagick -->
-		<length property="component.bytesize.imagemagick" mode="all"><fileset file="${basedir}/components/imagemagick.comp"/></length>
-		<math result="component.megabytesize.imagemagick" operand1="${component.bytesize.imagemagick}" operation="/" operand2="1048576" datatype="int"/>
-		<property name="component.size.imagemagick" value="${component.megabytesize.imagemagick} MB"/>
-
-		<!-- ghostscript -->
-		<length property="component.bytesize.ghostscript" mode="all"><fileset file="${basedir}/components/ghostscript.comp"/></length>
-		<math result="component.megabytesize.ghostscript" operand1="${component.bytesize.ghostscript}" operation="/" operand2="1048576" datatype="int"/>
-		<property name="component.size.ghostscript" value="${component.megabytesize.ghostscript} MB"/>
-
-		
-		<!-- show the calculated sizes -->
-		<echo>component.size.core: ${component.size.core}</echo>
-		<echo>component.size.sourcecode: ${component.size.sourcecode}</echo>
-		<echo>component.size.tomcat: ${component.size.tomcat}</echo>
-		<echo>component.size.ant: ${component.size.ant}</echo>
-		<echo>component.size.imagemagick: ${component.size.imagemagick}</echo>
-		<echo>component.size.ghostscript: ${component.size.ghostscript}</echo>
-		<if>
-			<bool><equals arg1="windows" arg2="${rk.os}"/></bool>
-			<echo>component.size.windows-java: ${component.size.windows-java}</echo>
-		<else><if>
-			<bool><equals arg1="linux" arg2="${rk.os}"/></bool>
-			<echo>component.size.linux-java: ${component.size.linux-java}</echo>
-			</if></else>
-		</if>
-
-
-		<!-- put the concrete values of things in the config -->
-		<rsr file="${basedir}/installer/antinstall-config.xml">
-			<job pattern="@version@" replacement="${version}"/>
-			<job pattern="@component.size.core@" replacement="${component.size.core}"/>
-			<job pattern="@component.size.sourcecode-core@" replacement="${component.size.sourcecode-core}"/>
-			<job pattern="@component.size.sourcecode@" replacement="${component.size.sourcecode}"/>
-			<job pattern="@component.size.tomcat@" replacement="${component.size.tomcat}"/>
-			<job pattern="@component.size.ant@" replacement="${component.size.ant}"/>
-			<job pattern="@component.size.imagemagick@" replacement="${component.size.imagemagick}"/>
-			<job pattern="@component.size.ghostscript@" replacement="${component.size.ghostscript}"/>
-		</rsr>
-
-		<rsr file="${basedir}/installer/build.xml">
-			<job pattern="@version@" replacement="${version}"/>
-			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<job pattern="@windows-java.extracted@" replacement="${windows-java.extracted}"/>
-			<job pattern="@linux-java.extracted@" replacement="${linux-java.extracted}"/>
-		</rsr>
-
-		<!-- put the concrete values of things in the text -->
-		<!-- default -->
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties">
-			<job pattern="@version@" replacement="${version}"/>
-			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<job pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
-			<job pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
-			<job pattern="@bundled.version.imagemagick@" replacement="${bundled.version.imagemagick}"/>
-			<job pattern="@bundled.version.ghostscript@" replacement="${bundled.version.ghostscript}"/>
-			<job pattern="@bundled.version.windows-java@" replacement="${bundled.version.windows-java}"/>
-			<job pattern="@bundled.version.linux-java@" replacement="${bundled.version.linux-java}"/>
-		</rsr>
-
-		<!-- chinese -->
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh.properties">
-			<job pattern="@version@" replacement="${version}"/>
-			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<job pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
-			<job pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
-			<job pattern="@bundled.version.imagemagick@" replacement="${bundled.version.imagemagick}"/>
-			<job pattern="@bundled.version.ghostscript@" replacement="${bundled.version.ghostscript}"/>
-			<job pattern="@bundled.version.windows-java@" replacement="${bundled.version.windows-java}"/>
-			<job pattern="@bundled.version.linux-java@" replacement="${bundled.version.linux-java}"/>
-		</rsr>
-
-	</target>
+	<property name="version.major" value="3"/>
 
 	<target name="compile-uninstaller">
 		<echo>Compiling Uninstaller</echo>
-		<mkdir dir="${basedir}/greenstone3/uninstaller/build" />
 
+		<!-- create working build directory -->
+		<mkdir dir="${basedir}/greenstone3/uninstaller/build/resources" />
+
+		<!-- copile to build -->
 		<javac
 			srcdir="${rk.home}/uninstaller"
 			destdir="${basedir}/greenstone3/uninstaller/build" />
 
-		<copy todir="${basedir}/greenstone3/uninstaller/build">
-			<fileset dir="${rk.home}/uninstaller" includes="*.properties"/>
+		<!-- copy language bundle into place -->
+		<copy todir="${basedir}/greenstone3/uninstaller/build/resources" overwrite="true">
+			<fileset dir="${rk.home}/language-strings"/>
 		</copy>
 
+		<!-- jar it all up -->
 		<jar
 			destfile="${basedir}/greenstone3/uninstaller/uninst.jar"